 Atlantis Help

Atlantis Help

Welcome to the Atlantis Help.

If you are not familiar with the HTML Help yet, read Using the HTML Help first.

Use the Navigation pane on the left side of the window to find the required information about Atlantis.

Most dialogs of Atlantis contain the Question button [image] in the Title Bar. You can click this button or simply press F1 for the info about this dialog.

Click here for the Introduction.

Copyright © 2000, 2001, Rising Sun Solutions, Inc. All rights reserved.


 Using the HTML Help

Using the HTML Help

Click the items from the below list to read about ...

Main Window of the Help Viewer
Help Viewer Toolbar Buttons
How to Customize the Help Viewer
How to Find a Help Topic
How to Find Information With Advanced Full-text Search


 Getting Started

Getting Started

Let's answer to the most important question: What is Atlantis?

Atlantis is a new original Word Processor.

Atlantis is very compact (in minimal configuration is takes about 600 KB of your hard drive space).

Atlantis is the 100% WYSIWYG word processor. Your documents are displayed on the screen of monitor in the same manner as they will be printed on paper.

Atlantis allows to work with up to 50 documents simultaneously.

Atlantis supports multiple document formats (RTF, MS Word 6.0/95/97/2000, MS Write etc).

Atlantis has the advanced toolbars with many unique and innovative features. You will be only one-mouse-click-away from most operations.

Atlantis allows you to work with many graphics formats (BMP, EMF, WMF, JPG, GIF, PNG, PCX, TGA, ICO etc).

Different zooming factors and the Easy Hand mode will make viewing your documents extremely convenient.

Atlantis offers about 200 Hot Keys. They will allow you to perform all the major operations in breeze.

The Hot Calculator tightly integrated with the document window, contributes unbelievable possibilities to word processing.

Advanced Ruler, Document Bar, support for Column Blocks, the Drag & Drop operations, Clippy Bank, unlimited document size, unlimited undo/redo, large number of various ways for selecting text using the keyboard and mouse, the Wheel mouse support, support for paragraph styles.

More, more, and more...

Finally, the most important thing. This version of Atlantis – Atlantis Nova – is absolutely free for you!

No fee! No registration! No reminders! No advertisement! No spies! No time limitation!

Absolutely free!

Simply try it...


 What is a Document

What is a Document

A document is the main object with which Atlantis operates.
A document can contain textual information (letters, digits, punctuation signs, special symbols etc) as well as pictures.

With Atlantis you can create new documents, open existing documents from files, edit and format your documents in various ways, print them, send by email, and perform many other operations.

Each open document is displayed within a separate window. Atlantis is 100% WYSIWYG (What You See Is What You Get) word processor so Atlantis displays your documents within a document window in the same manner as these documents will be printed on paper.

Atlantis allows you to work with multiple documents in the same time without launching additional copies of Atlantis. You could simultaneously keep up to 50 documents open. You can easily transfer information from one open document to another. You can easily switch among open documents using the main menu, hot keys, or document bar.

See also...


 Creating a New Document

Creating a New Document

You can create a new document by clicking the [image] button on the toolbar of Atlantis.
You can also choose the New | Document command from the File menu, or simply press the Ctrl+N keys.

You can use various document templates for creating your own documents.
By modifying document templates, you can control how Atlantis will create new documents.

You can quickly create a new document based on the desired document template. Simply choose the File | New | Create From Template... command, and double-click the desired document in the window popped up.

Tip:

If Atlantis is not running yet, you can quickly create a new document and place it on your Desktop.
Simply right-click any empty space on your Windows Desktop and choose New | Atlantis Document from the menu.

See also...


 Document Templates

Document Templates

A Document Template is a document that Atlantis can automatically use for creating new documents.

All document templates should be stored within the Templates folder under the home folder of Atlantis.

You can easily open the desired document template for viewing or editing. To do this, choose the Document Templates... command from the File menu.
A window containing the list of available document templates, pops up:

Double-click the desired document template. Atlantis will open a new window containing this document template.
Make the necessary changes to this document template, and simply save it.

By default Atlantis uses the Normal template for creating new RTF documents. The Plain template is used by default for creating a new or opening existing plain text (TXT) document.

Tip:

If the Always Show Templates Window option (the Tools | Options... command, General tab) is on, Atlantis will always show the Create Document From Template window each time you choose the File | New | Document command or press the Ctrl+N keys.
If this option is off, Atlantis will create a new document of the Default Format for New Documents (the document template associated with this document format, will be used).

So if you often create documents that are based on different document templates, we recommend you turn this option on.

See also...


 Opening an Existing Document

Opening an Existing Document

You can open documents from files which are located on your hard drive as well as on a floppy-disk, CD-ROM, network drive etc.

By clicking the [image] button on the toolbar of Atlantis, you can call the Open Document window.

Select a document or multiple documents within this window, and click Open. Atlantis will open all selected documents.

Also you can choose the Open command from the File menu, or simply press the Ctrl+O keys.

Tips:

If Atlantis is your default word processors for RTF documents, you can open RTF documents by double-clicking on the name of a file in My Computer or Windows Explorer.
You can quickly open a document by choosing this document from the List of the recent document (this list is accessible through the File | Recent Documents command of the main menu).

See also...


 Saving Documents

Saving Documents

After you have finished modifying your document, you have to save this document to a file.

To save the active document to a file, click the [image] button on the toolbar of Atlantis.
Also you can save the active document to a file by choosing the Save command from the File menu, or simply pressing the Ctrl+S keys.

You can save the active document to another file with a different name. Simply click the [image] button on the toolbar of Atlantis, or choose the Save As... command from the File menu, or simply press the F12 key.

You can quickly save all open documents by choosing a single command: File | Save All, or by clicking the [image] button on the toolbar of Atlantis.

Tip:

You can quickly save the active document to another folder by choosing this folder from the drop-down menu of the Save As... button on the toolbar of Atlantis.
You can easily determine whether the contents of your active document differs from the contents of the file of this document.
Simply look at the Atlantis Status Bar. If the active document is modified, the Modified flag is displayed on the Status Bar:

See also...


 Supported Document Formats

Supported Document Formats

Atlantis is able to open documents of the following document types:

  • Rich Text Format documents (RTF)
  • MS Word 6.0/95/97/2000 documents (DOC)
  • MS Write documents (WRI)
  • Windows ANSI plain text documents (TXT)
  • MS DOS plain text documents (TXT)

Currently the RTF format is a default document format of Atlantis.

We decided to use this document format as the default Atlantis format due to many reasons. The main of them are:

  1. Many word processors working under different operating systems and on different platforms can read and write this format.
    So, saving your document in RTF format, you should not worry whether the person to which you have to send your document, would be able to read your RTF document.
  2. At the moment there is the only version of RTF format (for example, there are different versions of MS Word document format).
    So, any word processor – no matter its version – will be able to read your RTF document (you might be aware of numerous problems with MS Word documents – older versions of MS Word are not able to open documents produced with newer versions of MS Word).

So, by saving your documents in RTF format, you will avoid any problems with document format incompatibility.

But regardless the said above, we plan to add support for more document formats in the future.

Note that Atlantis does not currently support saving documents either in MS Word or MS Write formats. But you can still edit MS Word and MS Write documents.
Simply open the desired MS Word or MS Write document, modify it, and save it as RTF.


 Printing Documents

Printing Documents

To print the active document, click the [image] button on the toolbar of Atlantis.

Also you can start printing by choosing the File | Print... command, or by pressing the Ctrl+P keys.

If you wish to print only the desired fragment of the active document, you have to previously select this fragment before starting printing. Also you should check the Selection radio button within the Print dialog which appears before printing.


 Sending Documents By Email

Sending Documents By Email

Atlantis allows you to quickly send your documents as attachments of email messages.

To email the active document, click the [image] toolbar button.

You can also send the active document by choosing the File | Send By Email... command.

To send all open documents as attachments of the same message, click the [image] toolbar button, or choose the File | Send All By Email... command.

Note. Atlantis uses a Windows mechanism called Simple MAPI (Mail Applications Program Interface) to communicate with your default email program. If Simple MAPI is not properly configured on your system, Atlantis could not send documents by email.
You should have a Simple MAPI-compliant email program installed, and this email program should be configured to be the default email program (sometimes called the default Simple MAPI client).


 Closing Documents

Closing Documents

By closing an open document, you finish the current session of working on this document. Later you could open this document again to continue working on it.

To close the active document, click the [image] button on the toolbar of Atlantis.

You can also close the active document by choosing the File | Close command, or by pressing the Ctrl+W keys.

To close all open documents, click the [image] button on the toolbar of Atlantis, or choose the File | Close All command.


 Page Settings

Page Settings

Atlantis displays a document on the screen in the page layout mode in the same manner as this document will be printed on paper.

All pages of the same document have the same settings.

  • Left, Top, Right, and Bottom margins – the reserved areas on each side of the page that are not occupied by text.
  • Page Size – the page dimensions (width and height) specified in certain measurement units.
  • Page Orientation – determines if the page contents is printed vertically or horizontally on a paper.

Tips:

You can quickly call the Page Settings window by double-clicking the margin on either side of the document ruler or the interpage space of a document window,
If you want to change page settings that will be used for creating new documents, open the Default Document Template (as a rule, the Normal template), modify its page settings, and save this template.


 Document Window

Document Window

The main component of the Atlantis interface is the Document Window through which you can interact with Atlantis.

Through the Document Window you can instruct Atlantis to perform different commands. Atlantis also displays the contents of all open documents within this window as well as different service information.

The following picture illustrates all the most important components of the Document Window.
The description for each of these components can be found below.

Window Title

Window Title is a standard component of most windows. The Title of Program and the name of the active document (the document which window is in foreground) is displayed on the Window Title.

You can also use the Window Title

  • for dragging the Document Window which is in not maximized state (simply capture the Window Title with the mouse, and drag it to another position);
  • for maximizing / restoring the Document Window (double-click the Window Title).

You can find 4 system buttons in the right-hand corner of the Window Title.

The leftmost button among them – [image] – can be used for minimizing Atlantis to the System Tray. When Atlantis is minimized to the System Tray, the Atlantis Icon is displayed on the System Tray.

You can double-click this icon to restore Atlantis from the System Tray.

You can also completely close Atlantis minimized on the System Tray, by choosing the Close command from the popup menu menu which can be called by clicking the Atlantis Icon on the System Tray with the right mouse button.

Main Menu

The Main Menu contains most commands to perform which you can instruct Atlantis.

Toolbars

Toolbars offer the alternative faster way for performing most commands which are available through the Main Menu.
Click here for details.

Ruler

The Ruler displays different information about the selected paragraphs as well as the whole document (some components of the Page Settings).
Click here for details.

Document Bar

The Document Bar allows you to switch among open documents as easy as you switch among running programs using the Windows Taskbar.
Click here for details.

Status Bar

The Status Bar displays different information about the active document (such as the cursor position and general information about the whole document).
Click here for details.

Scrollbars

Both Vertical and Horizontal Scrollbars can be used for scrolling the contents of the document to make the desired fragment of this document visible.

Through the View menu you can control how all the components of the Document Window should be displayed, or simply hide or show each particular component.

Also you can quickly hide each component of the Document Window by clicking this component with the right mouse button. The context menu appears. This menu contains a command which allow to hide this component.
For example, the following is the context menu of the Vertical Scrollbar.

Pressing the Ctrl+Shift+H keys activates the Hide All mode.
With the Hide All mode turned on, toolbars, scrollbars, document bar, status bar and ruler, all become invisible.
Press the Ctrl+Shift+H keys again or press the Esc key to go back to the Atlantis normal working environment.

See also...


 Toolbars

Toolbars

A Toolbar is a special control that can contain different buttons, list boxes, and drop-down menus.

With Atlantis Toolbars you can quickly perform the most commands that are available through the Main Menu as well as the commands that are not available through the Main Menu.

Atlantis provides 3 toolbar types: Standard, Formatting, and Extended.
You can quickly hide or show each particular toolbar as well as customize commands that will be available on each toolbar, through the drop-down menu that can be called by clicking any toolbar with the right mouse button.

Most Atlantis commands available via the toolbars can be invoked using their assigned hot key. Just place your mouse pointer over the desired toolbar button and a hotkey tooltip will pop up immediately.

More Commands!

Atlantis introduces a highly innovative feature: you have access to 2 sets of toolbar commands (Main set and Alternative set).
You can easily switch from one set to another using the double Ctrl key press. Also you can click the [image] button for switching.
Using these two sets of commands, you are able to use twice as many commands at the press of a key.

See also...


 Ruler

Ruler

The Ruler displays different information about the selected paragraphs as well as the whole document (some components of the Page Settings).

You can either show or hide the Ruler by choosing the View | Ruler command.

The following picture illustrates all the components of the Ruler.
The description for these components can be found below this picture.

Left & Right Margins

Left & Right Margins on the Ruler display the respective characteristics from the Page Settings of the active document.

Left Margin Resizer

Left Margin Resizer allows to visually change the Left Margin of the document.
Simply capture it with the mouse and drag until the required value for the Left Margin achieved.

Right Margin Resizer

Right Margin Resizer allows to visually change the Right Margin of the document.
Simply capture it with the mouse and drag until the required value for the Right Margin achieved.

Ruler Core

You can click the Ruler Core to place a new tab position onto it.
Click here to read about Tabs.

First Line Indent/Outdent Box

This box displays the First Line parameter of the selected paragraphs.
You can capture it with the mouse and drag to change the First Line for the selected paragraphs.

Left Indent Box

This box displays the Left Indent parameter of the selected paragraphs.
You can capture it with the mouse and drag to change the Left Indent for the selected paragraphs.

Note if you capture the bottom half of this box, both First Line Indent/Outdent Box and Left Indent Box will be moved synchronously.

Right Indent Box

This box displays the Right Indent parameter of the selected paragraphs.
You can capture it with the mouse and drag to change the Right Indent for the selected paragraphs.

Tab Selector Switch

Tab Selector Switch controls a tab of which type will be placed onto the Ruler Core when you click it.

Click the Tab Selector Switch until the desired tab type is displayed by this switch.

Click here to read about Tabs.

Tab Positions

Tab Positions display custom tab stops of the selected paragraphs.

You can change any tab position visually. Simply capture it with the mouse and drag within the Ruler Core until the required value for this tab position achieved.

You can completely remove any tab position visually. Capture it with the mouse and drag out of the Ruler Core.

Click here to read about Tabs.

Default Tab Positions Area

This component displays Default Tab Positions Area.

Click here to read about Tabs.

You can place your mouse pointer over most Ruler components to get a tooltip with information about a corresponding Ruler component.

You can use the Ruler to quickly call different dialogs.

The following picture illustrates different regions of the Ruler. Each region is displayed with its own color.

You can double-click each of these regions to call a corresponding dialog:

  • Blue and Aqua regions – to call the Page Settings dialog,
  • Green regions – to call the Paragraph Format dialog,
  • Red regions – to call the Tabs dialog.

See also...


 Document Bar

Document Bar

The Document Bar contains buttons which correspond to the currently open documents.

You can either show or hide the Document Bar by choosing the View | Document Bar | Visible command.

Using the Document Bar you can switch among open documents as easy as you switch among running programs using the Windows Taskbar.
You have simply to click the desired button to activate a corresponding document.
The button of the currently active document is in the pressed state.

If you have too many open documents so that the buttons of all documents cannot be placed on the Document Bar, the special buttons with arrows appear on both sides of the Document Bar.

Click these buttons to scroll the contents of the Document Bar.

You can change the position (alignment) of the Document Bar by choosing the View | Document Bar | Position command.

Tip:

You can easily switch among the open documents by pressing the Alt+1, Alt+2, ..., Alt+9 keys.
The Alt+0 pops up a window with the complete list of open documents.

See also...


 Status Bar

Status Bar

The Status Bar displays different information about the active document (such as the cursor position and general information about the whole document).

You can either show or hide the Status Bar by choosing the View | Status Bar command.

The following picture illustrates different sections of the Status Bar.
The description for these sections can be found below this picture.

Cursor Position

The first of these sections displays the ordinary number of the page currently containing the cursor, and total pages count of the active document.

The second section informs about the position of the cursor within this page (distance from the page top to the cursor, the ordinary number of the line containing the cursor, and the ordinary number of the character within this line before which the cursor is located).

When the active document contains selected text, both these sections are empty.

"Modified" Flag

This section informs whether the contents of the active document differs from the contents of the file of this document.

When the active document is modified, the Modified text is displayed within this section.

Typing Mode

This section informs about the current state of the Typing Mode (Insert, Overwrite).

You can double-click this section to quickly change the Typing Mode.

Icons

This section can contain different icons which inform about the current state of the active document.

Icon | Description
 | Is displayed if the active document is a newly created (was not saved to a file yet).
 | Is displayed if the active document is a template.
 | Not used in this version of Atlantis.
 | Not used in this version of Atlantis.
 | Not used in this version of Atlantis.
 | Not used in this version of Atlantis.

Language

This section displays the language of the selected text. Atlantis uses this characteristic of text when performing spellcheck.

You can double-click this section to quickly change the language of the selected text.

See also...


 Zooming

Zooming

Atlantis allows you to view documents in different zooms.

You can change the zoom for the active document either through the View | Zoom command or using the Zoom combo box of the toolbars.

In the Normal zoom (100%) all objects within a document window are displayed with their original size as they will appear on paper.

You can use other zooms with smaller percentage scale (for example, 50% or 30% of the Normal zoom) when you wish to take a look at the document as a whole or at some page as a whole.

Use zooms with greater percentage scale (for example, 120% or 200% of the Normal zoom) when your document contains smaller objects (for example, the text formatted with a smaller font size).

Atlantis also supports 5 special zoom kinds.

Zoom Kind | Hot Key | Toolbar Button | Description
Page Width | Ctrl+Shift+K,P |  | When this zoom kind is used, Atlantis chooses a percentage scale with which a page of the document completely fits a document window on width.
Text Width | Ctrl+Shift+K,T |  | Atlantis chooses a percentage scale with which a page of the document (not including Left and Right page margins) completely fits a document window on width.
Whole Page | Ctrl+Shift+K,W |  | Atlantis chooses a percentage scale with which a page of the document completely fits a document window on width and on height. Two or more pages might be displayed within a document window.
One Page | Ctrl+Shift+K,1 |  | The same as the Whole Page except one detail: always a single page is displayed.
Two Pages | Ctrl+Shift+K,2 |  | Atlantis chooses a percentage scale with which two whole pages of the document completely fit a document window on width and on height.

When the active document is in the Preview Mode, you can visually change the percentage scale with the Magnifying Glass mode.

Tips:

You can press the Ctrl+K,Z keys to quickly select the Zoom combo box of the toolbars.
You can use the Ctrl+Shift+Alt+Up Arrow keys to enlarge the current percentage scale by 10%, and the Ctrl+Shift+Alt+Down Arrow keys to shrink the current percentage scale by 10%.
You can quickly either enlarge or shrink the current percentage scale with your Wheel Mouse.
Simply hold the Ctrl key, and scroll the Wheel of your mouse.

See also...


 Special Symbols

Special Symbols

A document of Atlantis can contain not only usual characters (letters, digits, punctuation signs) but the special characters too.

The special characters are either invisible on paper or might look completely differently on the monitor screen and on paper.

By default the special characters are invisible within a document window. But you can make them visible but turning on the Special Symbols mode.
To turn this mode on as well as turn off, click the [image] button on the toolbar of Atlantis.
Also you can switch this mode by choosing the View | Special Symbols command, or simply pressing the Ctrl+Shift+8 keys.

The state of this mode (on or off) does not affect the appearance of the document on paper.

The following table describes the special symbols of Atlantis, and the hot keys that can be used to insert these special symbol to the document.

Special Symbol | Description | Example | Hot Key
Paragraph End Mark | Terminates each paragraph. |  | Enter
Line Break | Breaks a paragraph line and starts a new line without starting a new paragraph. |  | Shift+Enter
Page Break | Starts a new page. |  | Ctrl+Enter
Tab | This symbol is used for lining up text or numbers in tables, or for aligning text to a specific location in the document. Click here to read about Tabs. |  | Tab
Nonbreaking Space | Instructs Atlantis to keep the preceding and the following words within the same paragraph line. |  | Ctrl+Shift+Space
Nonbreaking Hyphen | Instructs Atlantis to keep the preceding and the following words within the same paragraph line. |  | Ctrl+Shift+ Hyphen
Optional Hyphen | By default Atlantis wraps text by whole words. But this symbol allows to explicitly specify how the word containing this symbol, should be hyphenated when necessary. This symbol specifies positions for hyphenation. |  | Shift+Alt+ Hyphen


 "Easy Hand" Mode

"Easy Hand" Mode

The Easy Hand mode is intended for comfortable scrolling the document window.

When this mode is on, you can capture any point of the document with the mouse, and drag the mouse pointer to the desired direction to scroll the contents of the document window.

To toggle the Easy Hand mode, click the [image] toolbar button.

You can also choose the View | "Easy Hand" Mode command, or press the Ctrl+F11 keys to toggle this mode.

Tip:

When the active document is in the Preview mode, you can quickly toggle between Easy Hand and Magnifying Glass modes.
Simply press the F11 key.


 Using the Wheel Mouse

Using the Wheel Mouse

Atlantis includes support for Wheel mouse operations.

The available Wheel mouse functions are:

  1. Wheel scroll up/down — scroll a document window several lines up/down.
  2. Shift+Wheel scroll up/down — scroll a document window one page up/down.
  3. Ctrl+Wheel scroll up/down — grow/shrink zooming by 10%.

Notes. Atlantis does not support Wheel mouse operations under Windows 95.

Document windows in Atlantis have a very specific structure. As a result utilities emulating the various functions of the Wheel mouse do not work with Atlantis (with a few exceptions).

See also...


 Selecting Text

Selecting Text

In Atlantis you can select (mark) any unbroken fragment of text within a document window.

The selected text is displayed in inverse colors. For example, if the unselected text is displayed with black font color on white background, then the same text but selected is displayed with white font color on black background.

Each open document can contain a single selected fragment in the same time. In other words, you cannot select two different fragments of the same document simultaneously.

The term selection is very important for Atlantis as well as for other word processors. The most Atlantis operations are applied either exclusively to the selected text, or are applied to the selected text if any.

Atlantis offers various ways for selecting text using the keyboard as well as the mouse.

Selecting Text With the Keyboard

You might be already familiar with the most Atlantis hot keys that are used to move the cursor within the active document.

You should memorize a very simple rule about how to select text with the keyboard.

When pressing the hot keys that change the location of the cursor, you can hold the Shift key to select the text from the previous cursor position to its new position.
In other words, by holding the Shift key when the cursor is being moved, you expand the selected fragment.

Let's conduct an experiment.

Let's imagine that our document contains the only sentence Selecting Text....

As you see, the caret is located before the first character of this sentence.
Now let's press the Right Arrow key to move the cursor one character right.

The cursor is between the first and second characters.

Let's back the caret to the beginning of the document again.

Now we hold the Shift key, and press the Right Arrow key again.

The cursor is actually between the first and second characters (though you cannot see it) but the text between the initial cursor position and the recent one has became selected.

We can press the Right Arrow again to expand the selection to the right (note that the Shift key is still held).

You can use the Shift key in conjunction with other hot keys that move the cursor.
The example. The Ctrl+Right Arrow moves the cursor one word right. But the Ctrl+Shift+Right Arrow keys expand the selection one word right.

Also you can use the following hot keys to select text.

  1. Ctrl+K, T selects the word closest to the current cursor position.
  2. Ctrl+K, L selects the current line.
  3. Ctrl+K, E selects the sentence closest to the current cursor position.
  4. Ctrl+K, P selects the current paragraph.
  5. Ctrl+K, G selects the current page.
  6. Ctrl+A selects the whole active document.

Selecting Text With the Mouse

The classical technics for selecting text is:

  1. Place the cursor to the beginning of the text fragment that you wish to select (simply click this beginning).
  2. Hold the left mouse button down.
  3. Drag the mouse to the end of the fragment that you wish to select (do not release the left mouse button when dragging).
  4. Release the left mouse button when the desired fragment is selected.

Also Atlantis offers many additional ways for quick selecting with the mouse.

  1. You can quickly select a word with a double-click.
  2. You can quickly select a line of text by aiming your mouse pointer at it from the left margin and clicking your left button.
  3. You can select a sentence in a flash by holding down the Ctrl key and giving the sentence a left click.
  4. You can quickly select a paragraph by double-clicking its left margin, or triple-clicking any word of that paragraph.
  5. You can quickly select a whole document by holding down the Ctrl key and clicking its left margin.
  6. You can quickly select a whole document by triple-clicking its left margin.
  7. You can select several whole sentences with the mouse. Hold down the Ctrl key, aim your mouse pointer at the start of your intended selection, press your mouse left button, then move the mouse pointer over the text you want to select.
    Release mouse button and Ctrl key when your selection is complete.
  8. You can select several whole paragraphs with the mouse. Double-click the first paragraph left margin but do not release the left mouse button after the second click. Move the mouse pointer over the text you want to select.
    Release the mouse button when your selection is complete.
  9. You can select several whole paragraphs with the mouse. Triple-click inside the first paragraph but do not release the left mouse button after the third click. Move the mouse pointer over the text you want to select.
    Release the mouse button when your selection is complete.
  10. You can quickly select a large fragment of document. Place the text cursor at the start of your intended selection. Hold down the Shift key, position your mouse cursor at the end of the selection, then click with your left button.

Tip:

When you select text with the mouse, and the Select Whole Words Automatically option (the Tools | Options... command, Edit tab) is on, Atlantis will expand the selection by whole words regarding whether you have fully captured with the mouse all the words of the selected fragment. So you simply have to drag the mouse pointer over any point of a particular word to completely select it.
If this option is off, Atlantis always selects text with the mouse "character by character".

See also...


 Working With Column Blocks

Working With Column Blocks

Atlantis is able to work not only with ordinary selection of text but with column blocks too.

An ordinary selection is a fragment of the document enclosed between two cursor positions.

A column block is a fragment of the document enclosed within a rectangular area.

The Column Block support in Atlantis has some specifics: column blocks are not permanent. In other words, after the operation on a column block is performed, this column block is unselected.

So before selecting a column block, you should decide which operation on this block you want to perform.

Atlantis supports the following operations on column blocks.

  1. Copy a Column Block to the Clipboard – hold down the Alt key and select the desired column block with the mouse.
    After you released the mouse, the selected column block is copied to the clipboard.
    After this you can paste it to the desired place of this or another document as usually.
  2. Delete a Column Block – hold down both Alt and Ctrl keys, select the desired column with the mouse.
    The highlighted block of text will be automatically deleted.
  3. Format a Column Block – turn on the Format By Template mode, hold down the Alt key and select the desired column block with the mouse.
  4. Calculate the Sum of a Column of Numbers – hold down the Alt , Ctrl and Shift keys simultaneously, select the column of numbers with the mouse.
    If all the numbers from the selected column are valid, their sum will be placed onto the clipboard.
    Use the Ctrl+V or Shift+Ins keys to paste the sum to your document.
    Click here to read about Hot Calculator.

Tip:

When the Zigzag Block Selection Mode option (the Tools | Options... command, Edit tab) is on, a column block is displayed so that you could see which characters are actually selected and which are not.

When this option is off, a column block is displayed as an ordinary rectangle.

See also...


 Typing Text

Typing Text

By typing, you can add new text to your document.

In Atlantis you can use two typing modes.

  1. Insert Mode.
    When this mode is on, each symbol being typed is inserted between the characters currently enclosing the cursor.
    Atlantis turns on this mode by default.
  2. Overwrite Mode.
    When this mode is on, each symbol being typed replaces the symbol situated immediately after the cursor.

Use the Ins key to switch between these two modes.

The information about the active typing mode is displayed on the Status Bar.

Tip:

The Replace Selection On Input option (the Tools | Options... command, Edit tab) controls how text is inserted to a document when something is selected within this document.
If this option is on, Atlantis will replaces the selection with the text being inserted.
If this option is off, Atlantis will insert text immediately after the selected text.


 Deleting Text

Deleting Text

By deleting the text, you completely remove it from the document.

You can either delete a single character from the active document or the whole fragment.

There are two ways to delete a single character.

  1. Place the cursor immediately before the character which you wish to delete, then either click the Delete [image] toolbar button or press the Del key.
  2. Place the cursor immediately after the character which you wish to delete, then press the Backspace key.

If you wish to delete the whole fragment of text, simply select it, and either click the Delete [image] toolbar button or press the Del key.


 Drag & Drop Operations

Drag & Drop Operations

Atlantis allows you to perform so called Drag & Drop operations (moving text to another location, duplicating text).

To move a text fragment with the mouse,

  1. select the desired fragment of text,
  2. place the mouse pointer over the selected text,
  3. hold down the left mouse button, then start dragging the mouse (the shadow cursor indicates where the selected text would be moved to in case of releasing the mouse),
  4. release the mouse to drop the text to a new location, or press the Esc key to cancel operation.

If you wish to duplicate the selected text (to move not the original text to another location but its copy), hold the Ctrl key while dragging.

Note. The Drag & Drop operations are allowed if the Enable Drag & Drop Editing option (the Tools | Options... command, Edit tab) is on.


 Clipboard

Clipboard

The Clipboard is the special Windows container into which any application is able to place information (text, pictures etc) as well as retrieve the information from it.

The clipboard can be used as a temporary storage for transferring a portion of some document to another place of the same document or to another document.
For example, if you have two open documents, you could activate the first document, and place the first paragraph of this document onto the clipboard. Then you activate another document and insert the contents of the clipboard to this document.

With Atlantis you can perform the following operations related to the clipboard.

  1. Copying.
    This operation allows to place a copy of the selected text onto the clipboard.
    The selected fragment is copied to the clipboard accompanied with all its formatting.
    To copy the desired fragment of the document to the clipboard, simply select this fragment, and either click the [image] button on the toolbar of Atlantis or press the Ctrl+C or Ctrl+Ins keys. Or choose the Edit | Copy command.

  2. Pasting.
    This operation inserts a copy of the current clipboard contents to the active document.
    Atlantis supports two types of pasting.

    1. Pasting formatted text, or simply Pasting.
      This operation pastes the contents of the clipboard with all the formatting accompanied (if any).
      For example, if you have placed the underlined text onto the clipboard, this operation will insert the underlined text to your document too.

      To paste the contents of the clipboard as formatted text, either click the [image] button on the toolbar of Atlantis or press the Ctrl+V or Shift+Ins keys. Or choose the Edit | Paste command.

    2. Pasting without formatting, or Pasting as plain text.
      This operation retrieves only pure plain text from the clipboard, and inserts this plain text to the document. Atlantis automatically formats the text being pasted with the format of the character situated immediately before the cursor.

      To paste the contents of the clipboard as plain text, either click the [image] button on the toolbar of Atlantis or press the Ctrl+Alt+Ins keys. Or choose the Edit | Paste As Environment command.

    The example. Let's imagine that our document contains only two paragraphs. The first paragraph is formatted with the Arial typeface, bold, and blue color.
    Another paragraph is formatted with the Courier New typeface.
    The word magicians from the first paragraph is selected.

    Now we copy this selected word to the clipboard, then paste the contents of the clipboard immediately after the They word from the second paragraph using the first pasting operation (Pasting formatted text).

    As you might see, the inserted word retains its formatting (it is still formatted with the Arial font face, is bold and blue).

    Let's back to the original state of our document.

    Then paste the contents of the clipboard immediately after the They word from the second paragraph using the second pasting operation (Pasting as plain text).

    As you might see, now the inserted word has the same formatting as the preceding word They.

  3. Cutting.
    This operation places a copy of the selected text onto the clipboard, and then deletes the selected fragment of the document (cuts selection to the clipboard).
    The selected fragment is cut to the clipboard accompanied with all its formatting.
    To cut the desired fragment of the document to the clipboard, simply select this fragment, and either click the [image] button on the toolbar of Atlantis or press the Ctrl+X or Shift+Del keys. Or choose the Edit | Cut command.

You can also copy a column block to the clipboard.

See also...


 Clippy Bank

Clippy Bank

The Clippy Bank is a special accumulative data storage similar to the clipboard.

The most important difference between the Clippy Bank and the clipboard is the following. Each time you place something (text or pictures) onto the clipboard, you replace the previous contents of the clipboard with a newer one. When you place something to the Clippy Bank, the text being placed is appended to the Clippy Bank (is added to the end of the Clippy Bank) so that the Clippy Bank contains both the previous information and the newer one.

The Clippy Bank of the currently running instance Atlantis is not accessible either by other applications or other instances of Atlantis.

You can perform the following operations related to the Clippy Bank.

  • Append to Clippy Bank.
    This operation appends a copy of the selected text to the Clippy Bank.
    To perform this operation, either click the [image] button on the toolbar of Atlantis or press the Ctrl+F8 keys. Or choose the Edit | Special | Append to Clippy Bank command.

  • Cut to Clippy Bank.
    This operation appends a copy of the selected text to the Clippy Bank.
    Then the selection is deleted from the active document.
    To perform this operation, either click the [image] button on the toolbar of Atlantis or press the Shift+Alt+F8 keys. Or choose the Edit | Special | Cut to Clippy Bank command.

  • Empty Clippy Bank.
    Deletes all the contents of the Clippy Bank, clears the Clippy Bank.
    To perform this operation, either click the [image] button on the toolbar of Atlantis or press the Ctrl+Alt+F8 keys. Or choose the Edit | Special | Empty Clippy Bank command.

  • Paste From Clippy Bank.
    Pastes the current contents of the Clippy Bank to the active document.
    To perform this operation, either click the [image] button on the toolbar of Atlantis or press the Shift+F8 keys. Or choose the Edit | Special | Paste From Clippy Bank command.

You can also edit the contents of the Clippy Bank in the same way as you edit your ordinary documents. To open the Clippy Bank for editing, either click the [image] button on the toolbar of Atlantis or press the F8 key. Or choose the View | Clippy Bank command. Do the same to hide the Clippy Bank window.

Note. The Clippy bank is a temporary storage. So when you close Atlantis, the contents of the Clippy Bank is lost.

See also...


 Case Of Text

Case Of Text

With Atlantis you can easily change case of the selected text by converting the uppercase characters to lowercase, and vise versa.

Atlantis supports the following Change Case operations.

  • Uppercase.
    This operation converts all characters within the selected fragment to uppercase. For example, this text

    after converting to uppercase will look like the following:

    To convert the selected text to uppercase, either click the [image] button on the toolbar of Atlantis or press the Shift+F3 keys. Or choose the Format | Change Case | Lowercase command.

  • Lowercase.
    This operation converts all characters within the selected fragment to lowercase. For example, this text

    after converting to lowercase will look like the following:

    To convert the selected text to lowercase, either click the [image] button on the toolbar of Atlantis or press the Ctrl+F3 keys. Or choose the Format | Change Case | Uppercase command.

  • Invert Case.
    This operation changes case for all the characters within the selected fragment (uppercase to lowercase, and vice versa). For example, this text

    after inverting case will look like the following:

    To invert case for the selected fragment of the document, either click the [image] button on the toolbar of Atlantis or press the Ctrl+Shift+F3 keys. Or choose the Format | Change Case | Invert Case command.

  • Change Case (Sentence).
    This operation converts the first characters of each selected sentence to uppercase, rest characters are converted to lowercase. For example, this text

    after performing this operation will look like the following:

    To perform this operation, choose the Format | Change Case | Sentence command.

  • Change Case (Heading).
    This operation converts the first characters of each selected word to uppercase, rest characters are converted to lowercase. For example, this text

    after performing this operation will look like the following:

    To perform this operation, choose the Format | Change Case | Heading command.

Tip:

The different commands for changing case are available through the drop-down menu of the Invert Case [image] toolbar button.


 Working With Pictures

Working With Pictures

Any Atlantis document can contain not only text but pictures too.

Pictures are placed to a document as usual characters. Consequently you can select pictures, delete them, copy, move etc in the same way as other characters.

To insert a picture from file to the active document, click the [image] button on the toolbar of Atlantis, or choose the Insert | Picture... command.

Atlantis allows you to insert pictures of the following graphic formats:

  • Bitmaps (BMP)
  • Enhanced Metafiles (EMF)
  • Metafiles (WMF)
  • JPEG Images (JPG)
  • CompuServe GIF Images (GIF)
  • Portable Network Graphics (PNG)
  • Zsoft Paint Brush Images (PCX)
  • Truevision Targa Images (TGA)
  • Windows Icons (ICO)
  • Cursors (CUR)
  • Animated Cursors (ANI)

Tips:

Double-click a picture to change the scaling factor for it.
You can visually scale pictures in your documents. For this, select the desired picture (simply click it), capture any corner of the picture with the mouse, and drag the mouse until the required scaling factor is achieved.


 Searching For Text

Searching For Text

With Atlantis you can easily search for the desired text within your documents in various ways.

To start searching, either click the [image] button on the toolbar of Atlantis or press the Ctrl+F keys.

If you plan to replace the occurrences of the found text with another text, press the Ctrl+H keys.

The Find / Replace window appears (the below text refers the controls of this window).

Then in the Find field specify the text which you want to find.

If you plan to perform replacing not just searching, you also have to specify text which should be used to replace each occurrence of the text being searched for.
The replacing text should be specified within the Replace With field (the empty string allowed here).

You can easily add any desired special symbol either to the Find field or Replace With field.
For this, click the [image] button opposite the required field, and choose the desired special symbol from the menu popped up.

If the Case Sensitive option is on, Atlantis will differentiate uppercase from lowercase when performing a search.

If the Whole Words Only option is on, Atlantis will search for whole words only.
With this option off, the search string might be found within longer words.

In the Search Direction list box you can specify a direction for searching:
Forward – Atlantis will search for text from the current cursor position down to the end of the document,
Backward – from the current cursor position up to the beginning of the document.

Click the Find Next button to find the next occurrence of the text being searched for.

Click the Replace button to replace the currently selected occurrence of the text with the new text. After replacing, Atlantis searches for a new occurrence of the text being searched for.

Click the Replace All button to replace all occurrences of the text being searched for.

You can perform most searching operations even when the Find / Replace window is closed.

The following table contains the hot keys which emulate clicking the buttons of the Find / Replace window.

Hot Key | Button of the Find / Replace window
F3 | Find Next
Ctrl+Shift+F5 | Replace Next
Shift+Alt+F5 | Replace All
Ctrl+Shift+Alt+F5 | Emulates clicking one of the above buttons which was last clicked (for example, if the last button which you clicked within the Find / Replace window, was the Replace Next button, then this hot key emulates clicking the Replace Next button too.

Tip:

Atlantis searches for text from the current cursor position either down to the end of the document or up to the beginning of the document (the direction for searching depends on the state of the Search Direction option of the Find / Replace window).
Then the end point for searching (the ending or the beginning of the document) is achieved, Atlantis does not automatically resumes searching within the rest part of document.
So if you require to perform searching within the whole document, you have to place the cursor to the start point for searching (either to the beginning or the ending of the document) before starting searching.


 Undoing And Redoing Operations

Undoing And Redoing Operations

Atlantis allows you to undo any operation that you perform with your documents: typing, deleting text, formatting etc.
So if you have accidentally made some undesirable changes to your document, Atlantis is able to back your document to the previous state.

Atlantis tracks all changes made to the document, and is able to undo a huge sequence of operations made to this document.

To undo the most recent operation that you made on the active document, click the [image] button on the toolbar of Atlantis.

Also you can choose the Edit | Undo command, or press the Ctrl+Z or Alt+Backspace keys.

You can undo as many recent operations as you require. For this repeat clicking the [image] button or pressing the above hot keys until the required state of your document achieved.

Undoing all the operations performed on the active document, is a breeze. Simply click the [image] button on the toolbar of Atlantis, or choose the Edit | Undo All command.

Atlantis allows you not just to undo operations but to redo the undone operations too. For example, you might undo some operation accidentally or simply change your mind about the recently undone operation.

To redo the most recent undone operation, click the [image] button on the toolbar of Atlantis.

Also you can choose the Edit | Redo command, or press the Ctrl+Y or Ctrl+Shift+Z or Shift+Alt+Backspace keys.

You can undo as many recently undone operations as you require. For this repeat clicking the [image] button or pressing the above hot keys until the required state of your document achieved.

You can also redo all the undone operation at a single mouse click or key pressing. Simply click the [image] button on the toolbar of Atlantis, or choose the Edit | Redo All command.

The Group Undo option (the Tools | Options... command, Edit tab) controls how the text typing is undone / redone.

When this option is on, Atlantis undoes / redoes such operations by whole words.

When this option is off, such operations are undone / redone "character by character".

Another option – Undo After Save option (the Tools | Options... command, Edit tab) – enables or disables undoing operations after a document is saved.

When this option is on, you could undo operations even after you have saved your document so that you could back your document to the state in which it was before saving (we recommend to turn this option on).


 Joining And Splitting Paragraphs

Joining And Splitting Paragraphs

Atlantis offers flexible tools for working with plain text documents. The most interesting among them are two following operations: joining paragraphs and splitting paragraphs.

As you might know, each line of a plain text document is terminated with a paragraph end mark, i.e. each line is a separate paragraph. But when converting your plain text document to RTF format, you have to remove all unnecessary paragraph end marks because paragraph end marks should be used in RTF documents solely for separating paragraphs not paragraph lines.

Example. Let's imagine that we have opened a plain text document which contains the following text. As you see, this document contains three unnecessary paragraph end marks.

We can easily remove these spare paragraph end marks. Let's select all our text.

Then click the [image] button on the toolbar of Atlantis.
Also you can choose the Edit | Special | Join Paragraphs command, or press the Ctrl+Shift+U keys.

As you see, now our document contains a single paragraph.

Let's talk about the reverse operation – splitting paragraphs.

Before saving your RTF document as a plant text file, you might want to place a paragraph end at the end of each line to partially preserve the layout of your document in the plain format.

For this simply select the desired paragraphs,

and click the [image] button on the toolbar of Atlantis.
Also you can choose the Edit | Special | Split Paragraphs command, or press the Ctrl+Shift+K,U keys.

As you see, now each paragraph line is terminated with a paragraph end mark so our document saved as a plain text document, would contain 5 lines too.


 Formatting. General Issues

Formatting. General Issues

The most important advantage of a formatted document (for instance, an RTF document) in comparing to a plain text document is that a formatted document can contain not only plain text (textual information itself) but various additional information that controls the appearance, the visual aspect of different portions of this document.

Each particular fragment of a formatted document can have its own visual appearance. You could apply different visual effects to the text of a formatted document such as the different font styles (bold, italic, underlined), colors, typefaces, font sizes, text alignments etc.

In other words, each fragment of a formatted document can have its own format. This allows to make formatted documents more readable and easier in perception.

One of the most important groups of operations which Atlantis allows you to perform on your documents, is Formatting.

Atlantis distinguishes two types of formattings: Font Formatting and Paragraph Formatting.

Font Formatting changes the appearance of a separate character or a group of characters. For example, the following characteristics of a character are affected by Font Formatting: typeface, font size, font style (bold, italic), font color etc.

Paragraph Formatting changes the appearance of a paragraph as a whole and does not affect the appearance of each particular character.


 Formatting Font

Formatting Font

The appearance of each particular character of a document is determined by its Font Format.

By formatting font, you change the Font Format of the desired fragment of text.

Note that before formatting a portion of text, you might have to select it.

Click here to read about the components of the Font Format.

Tips:

When there is no text selected within the active document, and the Format Without Selection option (the Tools | Options... command, Edit tab) is on, the font formatting operations will be applied to the word containing the cursor.
When this option is off, no immediate formatting will be performed but Atlantis will await typing text to apply a new font format to the text that will be typed.
You could use the Format Brush for visual and convenient formatting your documents.

See also...


 Formatting Paragraphs

Formatting Paragraphs

The appearance of each particular paragraph is controlled by its Paragraph Format.

By formatting paragraphs, you change the Paragraph Format of the desired paragraphs.

Note that before formatting multiple paragraphs, you have to select the desired paragraphs.
If no text is selected within the active document, the paragraph formatting operations are applied to the current paragraph (the paragraph containing the cursor).

Click here to read about the components of the Paragraph Format.

Tip:

You could use the Format Brush for visual and convenient formatting your documents.

See also...


 Styles

Styles

The main purpose of using styles is to simplify performing formatting operations on a document, and to provide you, as an author of a document, with more flexible control on your document.

A Style is a characteristic of a paragraph. Each separate paragraph of a document might have its own style.

A Style determines both paragraph format of a paragraph and font paragraph of the whole text of the paragraph.

Each document has its own Style List. This Style List contains at least one style – the Normal. But, as a rule, documents contain multiple styles.

The Normal is the basic style of each Style List.

Each paragraph of every document that you open with Atlantis, is associated with a style from the Style List of this document.

You are able to make any changes to the Style List of any document: you can delete styles, modify existing styles, create new styles.

Each style owns the following properties.

  • Name unique within a document.

  • Paragraph Format, Font Format, and Tab Settings that determine the appearance of paragraphs associated with this style.

  • Base Style on which this style is based.
    Each style could inherit some properties from its Base Style.
    When some characteristics are not explicitly defined for the style, this style inherits these characteristics from its Base Style.

    The example. Let's imagine that our document contains two styles: the Normal and Heading 1.
    The Heading 1 style is based on the Normal style.
    The font format of the Normal style contains the Times New Roman for the Font Face attribute. If the Font Face attribute of the font format of the Heading 1 style is not explicitly defined, then the Heading 1 inherits the Font Face from the base style – Normal style. Consequently any paragraph associated with the Heading 1 style, will be displayed using the Times New Roman font.
    Any changes to the Font Face attribute of the Normal style are immediately applied to the Heading 1 style.
    For example, we can change the Font Face of the Normal style to Arial, and all paragraphs associated with the Heading 1 style, will be displayed with the Arial too because the Heading 1 style inherits the Font Face attribute from the Normal style.

  • Next Paragraph Style which Atlantis automatically applies to the paragraph next to the current paragraph.

    The example. Let's imagine that we are editing a document that contains the Normal and the Heading 1 styles. The first paragraph of this document is the heading of this document. This first paragraph is associated with the Heading 1 style. Also we know that the Normal style is specified as the Next Paragraph Style for the Heading 1.
    So, you have completed typing the heading for your document. The cursor is at the end of the heading paragraph:

    Then you press the Enter key to start a new paragraph. Atlantis automatically applies the Normal style to this newly created paragraph.

  • Hot Key that can be used to quickly apply this style to some paragraph(s).

The most important operation related to styles is applying style to a single paragraph or a selection of paragraphs. When a style is applied to some paragraph,

  1. a paragraph becomes associated with this style (linked to this style),
  2. Atlantis automatically formats this paragraph with the Paragraph Format, Font Format, and Tab Settings of this style.

For example, if the Heading 1 contains the Times New Roman for the Font Face attribute, then after applying this style to some paragraph, whole text of this paragraph will be formatted with the Times New Roman typeface.

After some changes were made to some style of a document, Atlantis reapplies this style to all paragraphs within this document that are associated with this style (reformats these paragraphs).

When applying some style to some paragraph, you should remember the following specifics of this operation. Atlantis does not change a particular Font Format attribute of this paragraph if the whole text of this paragraph has not the same value of this attribute.

The example. Let's imagine that the Bold attribute is turned on for the Heading 1 style. You wish to apply this style to a paragraph that contains two words. The first word is formatted with bold, the second one is not. When applying this style, Atlantis will not change the Bold attribute for the whole paragraph text at all because this attribute has not the same value for the whole paragraph.

Other operations related to styles are Reset Font Format and Reset Paragraph Format. Both these operations are applied to a single paragraph or to a selection of paragraphs.

The Reset Font Format operation reapplies the Font Format of the style associated with a paragraph, to the whole text of this paragraph. Note that when applying the Font Format, this operation ignores the present formattings of the paragraph text.

The example. Let's imagine that the Bold attribute is turned on for the Heading 1 style. You wish to apply this style to a paragraph that contains two words. The first word is formatted with bold, the second one is not. After performing the Reset Font Format operation on this paragraph, Atlantis will format both words with the Bold ignoring that the second word was not formatted with Bold.

To reset font format for the selected paragraphs, either click the [image] button on the toolbar of Atlantis, or press the Ctrl+Space keys.

The Reset Paragraph Format operation reapplies the Paragraph Format of the style associated with a paragraph, to this paragraph.

To reset paragraph format for the selected paragraphs, either click the [image] button on the toolbar of Atlantis, or press the Ctrl+Q keys.

To transfer both the font & paragraph formatting of the current paragraph to the style associated with this paragraph, either click the [image] button on the toolbar of Atlantis, or choose the Format | Special | Update Style command.

To modify the Style List of the active document, choose the Format | Document Style List... command.
For the details about modifying Style List, press the F1 in the Document Style List window that can be called through the Format | Document Style List... command.

See also...


 Tabs

Tabs

Tabs are special symbols that can be used for lining up text or numbers in tables, or for aligning text to a specific location in the document.

The width of each particular tab symbol depends on the position of this symbol within a paragraph line and the Tab Settings of the paragraph.

The Tab Settings include the following.

  • Default Tab Position width.
    Note that this characteristic is not a characteristic of only selected paragraphs. This characteristic is global for the whole document, and consequently for all the paragraphs of this document.
  • Custom Tab Positions (or simply Tab Positions).

Default Tab Positions are displayed on the Ruler as small marks.

The distance between each two consecutive marks is the same (equals to the Default Tab Position width).

Custom Tab Positions are displayed in the Ruler Core.

Each Custom Tab Position has the following characteristics.

  • Alignment. Might be one of the following:
    • Left.
      Left aligned tabs align the left edge of the text to the tab.

    • Right.
      Right aligned tabs align the right edge of the text to the tab.

    • Center.
      Center aligned tabs align the center of the text to the tab.

    • Decimal.
      Decimal aligned tabs align the decimal point to the tab.

    • Bar.
      Bar Tab Positions do not affect any tab characters. Each Bar Tab Position causes a vertical line be displayed through the all paragraph lines.

  • Leader Character (or simply Leader).
    This character is used to fill all the space of the tab character.

You can adjust the Tab Settings for the selected paragraphs through the Format | Tabs... command.

You can also use the Ruler for the same purposes.

  • Click the Ruler Core to add new tab positions to the Tab Settings of the selected paragraphs.
  • Capture the desired tab position on the Ruler and drag it to another location to change the value of this tab position (by dragging a tab position outside of the Ruler, you completely remove this tab position from the Tab Settings of the selected paragraphs).


 Hot Calculator. Introduction

Hot Calculator. Introduction

Atlantis contains the Hot Calculator – a calculator tightly integrated with the document window.

Using the Hot Calculator, you can perform a wide range of mathematical calculations without leaving a document window.

Hot Calculator is able to calculate mathematical expressions selected within a document window. The result of calculations can be either placed to the clipboard, or inserted immediately after the expression being calculated, or can replace this expression.

Before performing calculation itself, you should select the expression that should be calculated.

When you click the Calculate [image] toolbar button or press the Alt+= keys, Atlantis attempts to calculate the selected mathematical expression.

The Enable Autodetection of Expressions option (the Tools | Options... command, Hot Calculator tab) controls how this calculating are performed in case there were no text selected.

When this option is on, and no text were selected, Atlantis attempts to detect the expression for calculating. The detected expression (if any) will be selected but no calculating will be performed.
After the expression was successfully detected, you should click the Calculate [image] toolbar button or press the Alt+= keys again to calculate the selected expression.

When this option is off, and no text is selected, Atlantis will display the message informing you that you should select the desired expression.

The whole group of the Hot Calculator options (the Tools | Options... command, Hot Calculator tab) determines what will be done after the expression was successfully calculated.

  • Put Result to Clipboard – when this option is checked, the resulting value will be placed onto the clipboard.
    No changes will be made to the document contents.
  • Insert Result After Calculated Expression – when this option is checked, Atlantis will place the resulting value preceded with the Equals sign (=) immediately after the calculated expression.
    For example, if the source expression was
    1+2
    after calculation we would have the following:
    1+2=3
  • Replace Calculated Expression With Result – when this option is checked, Atlantis will replace the selected text with the result.
    For example, if the source expression was
    1+2
    after calculation we would have the following:
    3

A little demonstration of the Hot Calculator's abilities.

Let's imagine that you write a message to your... debtor.

You finished typing the sentence. As you see, the cursor is at the end of it.
Now you wish to replace the 780+25% text with the final sum.

Let's assume that the Enable Autodetection of Expressions option is on.
Let's also assume that Replace Calculated Expression With Result option is checked too.

So, you simply click the [image] toolbar button or press the Alt+= keys.

No text is selected. So Atlantis attempts to detect the required expression.

As you see, Atlantis has selected the proper expression.

Now you click the [image] button again or press the Alt+= keys.

Atlantis has replaced the 780+25% text with the result (780 plus 25 percents of 780).

The above example demonstrates the simplest abilities of the Hot Calculator of Atlantis.

Click here for the advanced information about the Hot Calculator.


 Hot Calculator. Advanced Information

Hot Calculator. Advanced Information

This topic explains all the advanced features of the Hot Calculator.

Calculated Expressions

Your mathematical expressions may contain integer numbers as well as real numbers in both scientific notation and floating point notation.

You can use the following decimal separators for the real numbers: the Point, the Comma, or another decimal separator specified in the Regional settings of Windows.

An expression can contain text in any case (lowercase and uppercase characters are equivalent).

Your expressions may be as long and as complex as necessary. The Hot Calculator has not such limitations.

But the Hot Calculator has the only limitation regarding the expression length. The Hot Calculator is able to properly detect expressions for calculating which are not longer than 32 characters.

Arithmetic Operators

The following arithmetic operators can be used within the expression for calculating.

Operator | Operation | Example
+ | Addition | 12.5+256
- | Subtraction | 112-7e6
* or · (symbol with code 183) | Multiplication | 5*65 2·4
/ or : | Division | 10/3 7.5:8
^ | Raising to power | 2^8

The following postfix operators are allowed.

Operator | Operation | Example
! | Factorial | 22!
% | Percents (can be used in conjunction with another arithmetical operator from the above table) | 12+40% 1000-20% 77*24% 65/17.5%

In most situations you can do not specify the multiplication operator (to skip it).

So the following expressions are valid.

8Pi
-4.47sin(2)
2.56(2+3.5)
lg(67)12e-2
cos(pi/2)pi
exp(6)ctg(pi/2)
arccos(1)(3+7.45)
(2+2)77
(56+3.5)pi
(2+3.5)arcsin(1)
(17E5+pi)(4+5e)

Predefined Constants

Your expressions can contain the following predefined constants.

Constant | Description | Example
Pi | The ratio of a circle's circumference to its diameter 3.1415926535897932385 | 2Pi^2
e | The base of the natural logarithms 2.7182818285 | Ln(e)

Predefined Functions

Atlantis allows you to use about 90 predefined functions.

You can quickly insert the desired predefined function to the active document by clicking the Insert function [image] toolbar button or pressing the Ctrl+Alt+= keys.

Note that you can select some text in the document before inserting a function to enclose this text with the brackets of the function being inserted.

Click here for the complete list of the Predefined Functions of Atlantis.

Expression Elements Priorities

The following table contains information about the order in which different elements of expressions are calculated (the elements with the highest priority are calculated first).

Priority | Element of Expression
1st (highest) | Subexpression enclosed within the brackets
2nd | Predefined Function
3rd | Postfix Operators (Factorial, Percents)
4th | The Power Operator (^)
5th | Multiplication and Division Operators
6th (lowest) | Addition and Subtraction Operators

See also...


 Hot Calculator. Function List

Hot Calculator. Function List

The following tables describe all the predefined functions which you can use for composing your mathematical expressions.

You can quickly insert the desired predefined function to the active document by clicking the Insert function [image] toolbar button or pressing the Ctrl+Alt+= keys.

Basic Functions

Function | Description | Input Parameter Range
cos | The cosine of the angle | (-¥, +¥)
sin | The sine of the angle | (-¥, +¥)
tan or tg | The tangent of the angle | (-¥, +¥)
cot or cotan or ctg | The cotangent of the angle | (-¥, 0)È(0, +¥)
acos or arccos | The inverse cosine of the angle | [-1, 1]
asin or arcsin | The inverse sine of the angle | [-1, 1]
atan or arctan or arctg | The arctangent of the number | (-¥, +¥)
cosh | The hyperbolic cosine of the angle | (-¥, +¥)
sinh | The hyperbolic sine of the angle | (-¥, +¥)
tanh or tgh | The hyperbolic tangent of the angle | (-¥, +¥)
arccosh | The inverse hyperbolic cosine of the angle | [1, +¥)
arcsinh | The inverse hyperbolic sine of the angle | (-¥, +¥)
arctanh or arctgh | The inverse hyperbolic tangent of the angle | [-1, 1]
ln | The natural logarithm | (0, +¥)
log | The log base 10 | (0, +¥)
logb | The log base 2 | (0, +¥)
exp | The exponential | (-¥, +¥)
sqrt | The square root | [0, +¥)
abs | The absolute value | (-¥, +¥)
trunc | Truncates a real-type value to an integer-type value | [-2147483648, 2147483647]
round | Rounds a real-type value to an integer-type value | [-2147483648, 2147483647]
frac | The fractional part of a real number | (-¥, +¥)
DegToRad | Degree angles to radians | (-¥, +¥)
RadToDeg | Angles of radian measure to degrees | (-¥, +¥)

Note. The input parameters for the trigonometric functions should be specified in radians.

Notation Conversion Functions

The following functions allow to convert numbers from one notation to another.

Function | Description | Input Parameter Examples
BinToDec | Binary integer to decimal integer | 101100101 –100100001010 11101101b 1100010111B
OctToDec | Octal integer to decimal integer | 56347023 –5602374 11670254o 652377743O
HexToDec | Hexadecimal integer to decimal integer | A1F4501 –FF343AC6 $457290ED $–76F4CB 34FDCCD1h 1234H
RomanToArabic | An integer in roman notation to decimal notation | IV XXL cxxviii
DecToBin | Decimal integer to binary integer |
DecToOct | Decimal integer to octal integer |
DecToHex | Decimal integer to hexadecimal integer |
ArabicToRoman | An integer in decimal notation to roman notation |

Conversion Functions for Measures of Length

Function | Description
CmToInch | Centimeters to inches
CmToFoot | Centimeters to foots
CmToYard | Centimeters to yards
CmToMetre | Centimeters to meters
InchToCm | Inches to centimeters
InchToFoot | Inches to foots
InchToYard | Inches to yards
InchToMetre | Inches to meters
FootToCm | Foots to centimeters
FootToInch | Foots to inches
FootToYard | Foots to yards
FootToMetre | Foots to meters
YardToCm | Yards to centimeters
YardToInch | Yards to inches
YardToFoot | Yards to foots
YardToMetre | Yards to meters
YardToKm | Yards to kilometers
YardToMile | Yards to international miles
MetreToCm | Meters to centimeters
MetreToInch | Meters to inches
MetreToFoot | Meters to foots
MetreToYard | Meters to yards
MetreToKm | Meters to kilometers
MetreToMile | Meters to international miles
KmToYard | Kilometers to yards
KmToMetre | Kilometers to meters
KmToMile | Kilometers to international miles
MileToYard | International miles to yards
MileToMetre | International miles to meters
MileToKm | International miles to kilometers

Conversion Functions for Weights

Function | Description
GramToOunce | Grams to trading ounces
GramToPound | Grams to trading pounds
GramToKg | Grams to kilograms
OunceToGram | Trading ounces to grams
OunceToPound | Trading ounces to trading pounds
OunceToKg | Trading ounces to kilograms
PoundToGram | Trading pounds to grams
PoundToOunce | Trading pounds to trading ounces
PoundToKg | Trading pounds to kilograms
PoundToTonne | Trading pounds to tonnes
KgToGram | Kilograms to grams
KgToOunce | Kilograms to trading ounces
KgToPound | Kilograms to trading pounds
KgToTonne | Kilograms to tonnes
TonneToPound | Tonnes to trading pounds
TonneToKg | Tonnes to kilograms

Conversion Functions for Measures of Capacity

Function | Description
PintToLitre | British pints to liters
PintToGallon | British pints to British gallons
LitreToPint | Liters to British pints
LitreToGallon | Liters to British gallons
GallonToPint | British gallons to British pints
GallonToLitre | British gallons to liters

Conversion Functions for Square Measures

Function | Description
AcreToHect | Acres to hectares
HectToAcre | Hectares to acres

Conversion Functions for Thermometer Scale

Function | Description
FahrToCels | Fahrenheit to Centigrade (Celsius)
CelsToFahr | Centigrade (Celsius) to Fahrenheit


 Hot Keys. General Commands

Hot Keys. General Commands

Command | Hot Key
Show Help Contents | F1
Help – Keyword Search | Ctrl+F1
Help – Hot Keys Reference | Shift+F1
New Document | Ctrl+N
Open Document | Ctrl+O
Close Document | Ctrl+W or Ctrl+F4
Save Document | Ctrl+S or F2
Save Document As | F12
Print Document | Ctrl+P
Show Statistics | Ctrl+K,W
Activate Next Window | Ctrl+Tab or Ctrl+F6
Activate Window | Alt+1..Alt+9
Show Window List | Alt+0
Close Atlantis | Alt+F4

See also...


 Hot Keys. Edit Commands

Hot Keys. Edit Commands

Command | Hot Key
Insert New Paragraph | Enter
Insert Page Break | Ctrl+Enter
Insert Line Break | Shift+Enter
Insert Tab | Tab
Insert Nonbreaking Space | Ctrl+Shift+Space
Insert Nonbreaking Hyphen | Ctrl+Shift+Hyphen
Insert Optional Hyphen | Shift+Alt+Hyphen
Insert Dots | Ctrl+Alt+.
Insert Long Dash | Ctrl+Alt+Hyphen
Insert Short Dash | Ctrl+Hyphen
Insert Left Quote | Ctrl+`
Insert Right Quote | Ctrl+'
Insert Left Double Quote | Ctrl+Shift+`
Insert Right Double Quote | Ctrl+Shift+'
Insert Left French Quote | Ctrl+K,`
Insert Right French Quote | Ctrl+K,'
Insert Left German Quote | Ctrl+Shift+K,`
Insert Right German Quote | Ctrl+Shift+K,'
Delete | Del
Delete Character Before Cursor | Backspace
Delete Left Word | Ctrl+Backspace
Delete Right Word | Ctrl+Del
Delete Current Line | Ctrl+K,Y
Delete to Beginning of Line | Ctrl+K,Backspace
Delete to End of Line | Ctrl+K,Del
Copy | Ctrl+C or Ctrl+Ins
Paste | Ctrl+V or Shift+Ins
Paste As Environment | Ctrl+Alt+Ins
Cut | Ctrl+X or Shift+Del
Append to Clippy Bank | Ctrl+F8
Cut to Clippy Bank | Shift+Alt+F8
Clear Clippy Bank | Ctrl+Alt+F8
Paste from Clippy Bank | Shift+F8
Duplicate Selection | Ctrl+K,C
Copy All Formatting | Shift+Alt+K,C
Paste All Formatting | Shift+Alt+K,V
Insert Current Date | Shift+Alt+D
Insert Current Time | Shift+Alt+T
Show Symbol Window | Ctrl+K,Q
Find | Ctrl+F
Replace | Ctrl+H
Find Next | F3 or Shift+F5
Replace Next | Ctrl+Shift+F5
Redo Last Find / Replace Operation | Ctrl+Shift+Alt+F5
Replace All Next | Shift+Alt+F5 or Ctrl+Alt+Y
Toggle Insert / Overwrite Mode | Ins
Select All | Ctrl+A
Select Current Word | Ctrl+K,T
Select Current Line | Ctrl+K,L
Select Current Sentence | Ctrl+K,E
Select Current Paragraph | Ctrl+K,P
Select Current Page | Ctrl+K,G
Go to the Position of the Last Modification | F5
Undo | Ctrl+Z or Alt+Backspace
Redo | Ctrl+Y or Ctrl+Shift+Z or Shift+Alt+Backspace
Join Paragraphs | Ctrl+Shift+U
Split Paragraphs | Ctrl+Shift+K,U
Sort Paragraphs (Ascending Order) | Ctrl+Shift+K,A
Sort Paragraphs (Descending Order) | Ctrl+Shift+K,Z
Convert Between Current And Next Keyboard Layouts | Ctrl+Shift+L
Convert Between Required Keyboard Layouts | Shift+Alt+L
Convert to Uppercase | Shift+F3
Convert to Lowercase | Ctrl+F3
Invert Case | Ctrl+Shift+F3
Change Font Character Set | Ctrl+Shift+Alt+F3
Show Hot Calculator Function List | Ctrl+Alt+=
Calculate | Alt+=

See also...


 Hot Keys. View Commands

Hot Keys. View Commands

Command | Hot Key | Comment
Show / Hide Special Symbols | Ctrl+Shift+8
Select the Zoom combo box | Ctrl+K,Z
Easy Hand Mode | Ctrl+F11
Switch between Magnifying Glass Mode and Easy Hand Mode | F11 | Available only in the Preview Mode
Scroll Document Window to the Left | Alt+Left Arrow
Scroll Document Window to the Right | Alt+Right Arrow
Scroll Document Window Up | Alt+Up Arrow
Scroll Document Window Down | Alt+Down Arrow
Center Document Window Horizontally | Alt+5 (Numpad)
Zoom – Page Width | Ctrl+Shift+K,P
Zoom – Text Width | Ctrl+Shift+K,T
Zoom – Whole Page | Ctrl+Shift+K,W
Zoom – One Page | Ctrl+Shift+K,1
Zoom – Two Pages | Ctrl+Shift+K,2
Zoom – 100% | Ctrl+Shift+K,0
Decrease Zoom Factor (-10%) | Ctrl+Minus (Numpad) or Ctrl+Shift+Alt+Down Arrow
Increase Zoom Factor (+10%) | Ctrl+Plus (Numpad) or Ctrl+Shift+Alt+Up Arrow
Show / Hide Clippy Bank | F8
Hide All Mode | Ctrl+Shift+H

See also...


 Hot Keys. Font Formatting Commands

Hot Keys. Font Formatting Commands

Command | Hot Key
Show Font Format Dialog | Ctrl+D
Copy Font Format | Ctrl+Shift+C
Paste Font Format | Ctrl+Shift+V
Select Font Combo Box | Ctrl+Shift+F
Select Font Size Combo Box | Ctrl+Shift+P
Select Font Color Combo Box | Ctrl+Shift+K,C
Set Font Face to Symbol | Ctrl+Shift+Q
Bold | Ctrl+B
Italic | Ctrl+I
Underline | Ctrl+U
Strike | Ctrl+K,S
Superscript | Ctrl+Shift+Plus
Subscript | Ctrl+=
Shrink Font Size | Ctrl+[
Grow Font Size | Ctrl+]
Shrink Font Size to Nearest Predefined | Ctrl+Shift+<
Grow Font Size to Nearest Predefined | Ctrl+Shift+>
Proportional Font Scaling | Shift+Alt+S
Reset Font Format | Ctrl+Space
Decrease Intercharacter Spacing | Ctrl+Alt+Left Arrow
Increase Intercharacter Spacing | Ctrl+Alt+Right Arrow
Offset Up | Ctrl+Alt+Up Arrow
Offset Down | Ctrl+Alt+Down Arrow

See also...


 Hot Keys. Paragraph Formatting Commands

Hot Keys. Paragraph Formatting Commands

Command | Hot Key
Show Paragraph Format Dialog | Ctrl+G
Copy Paragraph Format | Shift+Alt+C
Paste Paragraph Format | Shift+Alt+V
Select Style Combo Box | Ctrl+Shift+S
Left Align | Ctrl+L
Right Align | Ctrl+R
Centered Align | Ctrl+E
Justified Align | Ctrl+J
Increase Left Indent | Ctrl+M
Decrease Left Indent | Ctrl+Shift+M
Increase First Line Outdent | Ctrl+T
Decrease First Line Outdent | Ctrl+Shift+T
Single Line Spacing | Ctrl+1
1.5 Line Spacing | Ctrl+5
Double Line Spacing | Ctrl+2
Add / Remove Spacing Before Paragraph | Ctrl+0
Add / Remove Spacing After Paragraph | Ctrl+Shift+0
Add / Remove Spacing Before & After Paragraph | Shift+Alt+0
Reset Paragraph Format to Default | Ctrl+Q
Bullet Style | Ctrl+Shift+B

See also...


 Hot Keys. Commands For the Cursor Movement

Hot Keys. Commands For the Cursor Movement

Command | Hot Key
Move the Cursor Left One Character | Left Arrow
Move the Cursor Right One Character | Right Arrow
Move the Cursor Left One Word | Ctrl+Left Arrow
Move the Cursor Right One Word | Ctrl+Right Arrow
Move the Cursor Up One Line | Up Arrow
Move the Cursor Down One Line | Down Arrow
Move the Cursor Up One Paragraph | Ctrl+Up Arrow
Move the Cursor Down One Paragraph | Ctrl+Down Arrow
Move the Cursor to the Start of a Line | Home
Move the Cursor to the End of a Line | End
Move the Cursor to the Top of the Document | Ctrl+Home
Move the Cursor to the End of the Document | Ctrl+End
Scroll the Document One Page Up | PgUp
Scroll the Document One Page Down | PgDn
Move the Cursor to the Start of the Previous Page | Ctrl+PgUp
Move the Cursor to the Start of the Next Page | Ctrl+PgDn

See also...


 Command-line Parameters

Command-line Parameters

You can launch Atlantis with different parameters and keys in the command-line to instruct Atlantis to perform various additional actions.

Each of the parameters in the command-line of Atlantis can be either a filename of the document which should be opened by Atlantis, or a key (a string of characters preceded by a slash (/) or a hyphen (–).
A key instructs Atlantis to perform some action.

The following table lists all the valid keys which can be used in the command-line of Atlantis.

You can use either long variants of keys, or short variants.

Key (Long) | Key (Short) | Description | Command-line Example
Print | p | Atlantis opens all the documents specified in the command-line, prints them, and closes itself. | Atlantis.exe /p MyDocument.rtf
SystemTray | st | Atlantis is immediately minimized to the System Tray. | Atlantis.exe -st
DontCreateNewDoc | n | Atlantis will not automatically create a new document at startup regardless its current settings. | Atlantis.exe /n
Restored | r | The window of Atlantis will be initially in "non-maximized" ("restored") state regardless the recent state of this window. | Atlantis.exe -r
Maximized | m | The window of Atlantis will be initially in the maximized state regardless the recent state of this window. | Atlantis.exe -m

Note. Do not forget that all filenames in the command-line that contain spaces, should be enclosed within the double quotes.
For example, if you wish to instruct Atlantis to open document My Document.rtf, you should type the following command line:

Atlantis.exe "My Document.rtf"

The following command-line is not correct in our case:

Atlantis.exe My Document.rtf

Atlantis would interpret both the My and Document.rtf as separate documents.


 System Requirements

System Requirements

To launch Atlantis, you should have one the following operating systems installed on your computer:
Windows 95, Windows 98, Windows NT 4.0, Windows 2000, Windows ME, or higher versions of these operating systems.

Minimal recommended hardware requirements are:
Pentium-75, 16 MB RAM, 650 KB..1.0 MB of free space on a hard drive (depends on the installed components).

Turning on the Flat Buttons for the Atlantis Toolbars requires version 4.70 or later of COMCTL32.DLL.

To use the Wheel Mouse features with Atlantis, you require one the following operating systems installed on your computer:
Windows 98, Windows NT 4.0, Windows 2000, Windows ME, or higher versions of these operating systems.


 More Features

More Features

Do you wish more features in your Atlantis?

We have many new features for you RIGHT NOW!

Click here and download another version of Atlantis – Atlantis Ocean Mind.

Atlantis Ocean Mind contains many additional features for you:

  • The powerful encryption abilities. Using them, you could securely protect your private information from prying eyes.
  • The Autosafeguarding features. They will make your work safer.
  • The AutoCorrect will dramatically simplify your word processing life.
  • The improved fully-customizable toolbars (drop-down menus, the additional panel - Preview, the Large Buttons and Flat Buttons options, ability to use custom sets of toolbar images etc).
  • Customizable Atlantis Colors. We sure, life is not White & Black.
  • Atlantis Sounds will make your work enjoyable, no matter who you are – novice in word processing or an advanced user (the Standard Sound Scheme with typewriter sounds included to the Install).
  • Atlantis Ocean Mind offers many features which make it very useful on home computers. Multiple users can use Atlantis Ocean Mind on the same computer. All they could have their own personal settings.
  • You can "install" Atlantis Ocean Mind to an ordinary floppy disk. Atlantis will accompany you everywhere.
  • Flexible multilingual Spellchecking features (the Install of Atlantis Ocean Mind includes 3 Spellcheckers: American English, British English, and Australian English). Also there are free spellcheck add-ons for a great variety of languages. You could also download free specialized dictionaries for your Atlantis Ocean Mind (medical, biological etc).

  • The ZIP features (Send by Email Zipped, Save As Zip).
  • The Highlight mode.
  • The Format Brush – a revolutionary approach to the document formatting.
  • The Click & Type feature (double-click a blank area of a document to start typing at a clicked point).
  • Collection of Document Templates.
  • Collection of Sample Letters.
  • Clipart Gallery.
  • And more...

Download it for free!


 Contact Information

Contact Information

We are always glad to hear from you. Do you have suggestions or comments? Would you like to tell us your opinion of our product, our site or our company? Or maybe you have some other information you want to let us know about? Just write.

Send your messages to the Email addresses corresponding to the content of your messages. The following table contains a list of addresses, and among them you should find one which matches the content of your message.

Suggestions about new features for Atlantis | suggest@rssol.com
Offers about translating Atlantis into other languages | translation@rssol.com
Business offers, cooperation | offer@rssol.com
Other topics | comment@rssol.com


 Copyright Information

Copyright Information

Atlantis Word Processor is an original product
by Rising Sun Solutions, Inc.
This product is protected by copyright law and international treaties

Atlantis Word Processor
Copyright © 2000, 2001, Rising Sun Solutions, Inc.

Ultimate Packer for eXecutables,
Copyright © 1996-2000 the UPX Team

JPEG compression support by
The Independent JPEG Group

Zlib Data Compression Library,
Copyright © 1990-1999 Info-ZIP

Microsoft, MS, Win32, and Windows are registered trademarks,
and Windows NT and Windows 2000 are trademarks of Microsoft Corporation.


 Acknowledgments

Acknowledgments

Many people have helped make Atlantis. We sincerely thank them for their contribution.
Particular thanks goes to the following people.

Special thanks to
Robert Lagadec
for his comprehensive contribution
to the Atlantis project

Cryptography and Security Algorithms Expert
Alexandre Pukall

Authors of Document Templates
Richard Carrington
Robert Lagadec

Special thanks to:
Thomas Bigler
Alan Cramer
Richard Hollmann
Juan Pedro Lozano Fernández
Paulo Neto
Andrey Zakharchuk


 On-line Information

On-line Information

You are always welcome to visit our Web Site at www.rssol.com

Visit our Downloads Page.

There you could get new upgrades and versions of Atlantis.

There you also could find new Sound Schemes for Atlantis, new Sets of Toolbar Images, new Collections of Document Templates, and more.

Visit our News Page.

There you could find the most recent information about the latest upgrades and versions of Atlantis, about our actions and contents, and more.

Talk about Atlantis at the Atlantis Forum!

Simply visit our Site!


 "Activate Window" Window

"Activate Window" Window

This window displays the full list of the currently open documents.

Simply double-click the desired document from the list to activate this document.

See also...


 "Choose Document Template" Window

"Choose Document Template" Window

Double-click the desired template among the available document templates.

Click the Remove Template button to completely delete the highlighted template.

Tip:

When the Available Templates box is focused (simply click it to focus), you can quickly highlight the desired template by typing its whole name or just the beginning of its name.
For example, you can quickly highlight the Normal template by typing Normal (probably typing just Norm or even No would be efficient to highlight this template).

See also...


 "Create Document From Template" Window

"Create Document From Template" Window

Double-click the desired template among the available document templates that you want to use for creating a new document.

Click the Remove Template button to completely delete the highlighted template.

Tip:

When the Available Templates box is focused (simply click it to focus), you can quickly highlight the desired template by typing its whole name or just the beginning of its name.
For example, you can quickly highlight the Normal template by typing Normal (probably typing just Norm or even No would be efficient to highlight this template).

See also...


 "Date & Time" Window

"Date & Time" Window

Among the listed date & time formats, double-click a format the current date and/or time in which you want to insert to the active document.

In this window you can change both the Default Date Format and Default Time Format.
The current date in the Default Date Format can be quickly inserted to a document by pressing the Shift+Alt+D keys.
To insert the current time in the Default Time Format, press the Shift+Alt+T keys.

To change the Default Date Format,

  1. Highlight (click) the desired date format,
  2. Click the Default Date Format button.

To change the Default Time Format,

  1. Highlight (click) the desired time format,
  2. Click the Default Time Format button.


 "Document Formats & Templates" Window

"Document Formats & Templates" Window

All document formats, document in which Atlantis is able to save, are listed within the Document Formats box.

The Template edit box contains the name of the default template for the document format selected within the Document Formats box. This template is used each time you try to create a new document of a particular format through the File | New menu.

Click the Change Template... button to choose another default template for the document format selected within the Document Formats box.

The Default Format for New Documents list box displays the document format that Atlantis uses for creating new documents through the File | New | Document command.

See also...


 "Document Templates" Window

"Document Templates" Window

Double-click the desired template for viewing or editing.

Click the Remove Template button to completely delete the highlighted template.

Tip:

When the Available Templates box is focused (simply click it to focus), you can quickly highlight the desired template by typing its whole name or just the beginning of this name.
For example, you can quickly highlight the Normal template by typing Normal (probably typing just Norm or even No would be efficient to highlight this template).

See also...


 Edit Settings

Edit Settings

Replace Selection on Input

When this option is on, and some text is selected within the active document, any data (either text or images) being inserted to this document, replaces this selection.

When this option is off, data is inserted immediately after the selection.

Enable Drag & Drop Editing

This option enables mouse Drag & Drop operations.

When this option is on, you can capture the selected text with the mouse and move it to another position (if you hold the Ctrl key while dragging the selection, the selection is not removed from its original position but a copy of the selection is inserted to the target position).

Group Undo

This option controls how the text typing is undone / redone.

When this option is on, Atlantis undoes / redoes such operations by whole words.

When this option is off, such operations are undone / redone "character by character".

Undo After Save

When this option is on, you could undo operations even after you have saved your document so that you could back your document to the state in which it was before saving (we recommend you turn this option on).

Find Word at Cursor

When this option is on, and there is no text selected in the active document, Atlantis will automatically place the word at the current cursor position to the Find field of the Find / Replace window each time you choose the Edit | Find / Replace commands.

When this option is off, the Find field will contain a word for which you previously searched.

See also Searching For Text.

Select Whole Words Automatically

When this option is on, the mouse selects text by whole words.

When this option is off, text is selected "character by character".

Zigzag Block Selection Mode

If you hold the Alt key while selecting text, the rectangular blocks (columns) will be selected.

This option controls the appearance of such blocks.

When this option is on, you can see which characters are actually selected and which are not.

When this option is off, a block is displayed as an usual rectangle.

Smart Cut & Paste

The Smart Cut & Paste is a powerful option that makes editing your documents more natural and comfortable.

When this option is on, Atlantis performs additional operations each time your delete selected text, cut selection to the clipboard, paste the contents of the clipboard, and perform Drag & Drop operations.
As a result of performing such additional operations, space characters might be deleted from your document or inserted to it.

The example. Let's imagine that we want to move the selected word never to the position after the word passed using the Drag & Drop operation (the space characters are displayed as dots).

If the Smart Cut & Paste is off, we will have the following result of our dragging:

As you might see, now there is no space between the passed and never words.
Also we have a spare space character between the probably and were words.
So we will have to correct both these problems manually.

Now let's turn the Smart Cut & Paste option on, and perform our operation again.

Atlantis has automatically inserted the space character between the passed and never words.
The spare space character between the probably and were words has been deleted too.

Anticipatory Scrolling

This option controls how a document window is scrolled with the cursor keys.

When this option is on, Atlantis will scroll a document window to make the cursor as closer to the middle of this window as possible.

When this option is off, a document window will be scrolled simply to make the cursor visible (the cursor might appear at the bottom of the document window or at the top).

Format Without Selection

This option determines how the font formatting operations are performed when no text is selected within the document.

When this option is on, and there is no text selected, a font formatting operation will be applied to the word containing the cursor.

When this option is off, no immediate formatting will be performed but Atlantis will await typing text to apply new font format to the text being typed.

Treat Email Addresses And URLs As Words

When this option is on, Atlantis will automatically recognize URLs (Emails and other Internet addresses) within your document and will allow you to easily select them.

For example, if this option is on, you could quickly select the desired URL within your document by double-clicking it.

See also...

General Settings
View Settings
Load / Save Settings
Hot Calculator Settings


 "Edit Style" Window

"Edit Style" Window

Use the the Name field to specify name for the style being edited.

Choose the base style in the Based on Style field (the style being edited could inherit some properties from its base style).

The Next Paragraph Style is a style that Atlantis automatically applies to the paragraph next to the current paragraph.
The example. Let's imagine that we are editing a document that contains the Normal and the Heading 1 styles. The first paragraph of this document is the heading of this document. This first paragraph is associated with the Heading 1 style. Also we know that the Normal style is specified as the Next Paragraph Style for the Heading 1.
So, you have completed typing the heading for your document. The cursor is at the end of the heading paragraph:

Then you press the Enter key to start a new paragraph. Atlantis automatically applies the Normal style to this newly created paragraph.

Use the Hot Key field to specify a hot key for this style.
You could press this hot key to apply this style to the selected paragraphs of your document.

Click the Font..., Paragraph... and Tabs... buttons to change the font format, the paragraph format, and the tab settings for the style being edited.

Note. You cannot change name for some built-in styles (for example, Normal, Heading 1).
Also you cannot change base style for the Normal style, which as a rule, is a base style for other styles of the document.

See also...

Styles
Formatting Font
Formatting Paragraphs
Tabs


 "Document Style List" Window

"Document Style List" Window

In this window you can modify the style list of the active document.

All available styles are displayed within the Style box.
The style of the selected paragraphs is displayed enclosed within the <<< >>>.

Check the Tree radio button to display all styles in the tree manner so that you could see relations between styles (on which styles each particular style is based).

Check the List radio button to display styles as a list of items sorted in alphabetic order.

Click the New... button to add a new style to the style list.

Click the Edit... button to modify the characteristics of the highlighted style.

Click the Delete button to completely delete the highlighted style with or without all its child styles.

Click the Import... button to transfer styles from other open documents or available document templates to the style list being edited.

Click the OK to finish editing the style list.
Atlantis will automatically reformat all paragraphs of your document that are associated with styles that you have modified.

The Apply button does the same as the OK button except one thing: the highlighted style in the Style box is applied to the selected paragraphs so that the selected paragraphs will be associated with this highlighted style.

Tip:

You can quickly change the base style for the desired style in the Style box.
Simply capture the desired style with the mouse, and drag it to the style which you want to be the base style for the style being dragged.

See also...


 "Find / Replace" Window

"Find / Replace" Window

First, click the Find tab if you simply want to find some text in your document.
If you would need to replace the found text with another text, click the Replace tab.

Then use the Find field to specify the text that you want to find.

If you plan to perform replacing not just searching, you also have to specify text that should be used to replace each occurrence of the text being searched for.
The replacement should be specified within the Replace With field (the empty string allowed here).

You can easily add the desired special symbol either to the Find field or Replace With field.
For this, click the [image] button opposite the required field, and choose the desired special symbol from the menu popped up.

If the Case Sensitive option is on, Atlantis will differentiate uppercase from lowercase when performing a search.

If the Whole Words Only option is on, Atlantis will search for whole words only.
With this option off, the search string might be found within longer words.

Use the Search Direction list box to specify a direction for searching:
Forward – Atlantis will search for text from the current cursor position down to the end of the document,
Backward – from the current cursor position up to the beginning of the document.

Click the Find Next button to find the next occurrence of the text being searched for.

Click the Replace button to replace the currently selected occurrence of the text with the new text. After replacing, Atlantis searches for a new occurrence of the text being searched for.

Click the Replace All button to replace all occurrences of the text being searched for.

Tips:

If the Find Word at Cursor option (the Tools | Options... command, Edit tab) is on, and there is no text selected in the active document, Atlantis will automatically place the word at the current cursor position to the Find field.
If this option is off, the Find field will contain a word for which you previously searched.
Atlantis searches for text from the current cursor position either down to the end of the document or up to the beginning of the document (the direction for searching depends on the state of the Search Direction option).
When the end point for searching (the top or the bottom of the document) is achieved, Atlantis does not automatically resume searching within the rest part of the document.
So if you require to perform searching within the whole document, you have to place the cursor to the start point for searching (either to the beginning or the end of the document) before starting searching.

See also...


 "Font Format" Window

"Font Format" Window

Each control of this window represents a separate component of the font format.

Click here to read about the components of the Font Format.

Click the Copy button to copy the font format being edited to the Font Format Clipboard.

Click the Paste button to transfer the information from the Font Format Clipboard to the controls of the Font Format window.


 General Settings

General Settings

Create a New Document at Startup

When this option is on, a new document will be created each time you launch Atlantis.

Continuous Numeration

When this option is on, Atlantis will memorize the ordinary number of the last created document when you close Atlantis. When you launch Atlantis again, Atlantis will numerate all newly created documents starting from this memorized number.

For example, let's imagine that you have created 5 new documents within a single session, and Atlantis has assigned the Doc05.rtf name to the last created document. Then you have closed Atlantis, and launched it again. You start creating new documents. Atlantis will assign the following names to these new documents:
Doc06.rtf, Doc07.rtf, Doc08.rtf, and so on.

When this option is off, Atlantis will always numerate documents starting from 1:
Doc01.rtf, Doc02.rtf, Doc03.rtf, and so on.

Always Show Templates Window

When this option is on, Atlantis will invoke the File | New | Create From Template... command each time you press the Ctrl+N keys or choose the File | New | Document command.
In other words, Atlantis will ask you which template you wish to use for creating a new document each time you try to create one.

When this option is off, Atlantis will always create a new document using the Normal template.

Live Scrolling

This option controls how the scrolling of the document window using the vertical scroll bar is performed.

When this option is on, Atlantis will scroll the document window immediately after each move of the scroll box of the vertical scroll bar even if you still hold this scroll box with the mouse.

When this option is off, the document window will be scrolled only after you have released the scroll box of the vertical scroll bar.

Minimize to System Tray When Closed

When this option is on, Atlantis will not be terminated completely when you close it. The Atlantis Icon will be placed to the System Tray.

You could double-click this icon to restore Atlantis window from the System Tray.

Also you can completely close Atlantis which is minimized on the System Tray, by choosing the Close command from the popup menu that can be called by clicking the Atlantis Icon on the System Tray with the right mouse button.

Also when Atlantis is minimized to the System Tray in this manner, each next launch of Atlantis is performed more quickly.

Always Show Full Paths

When this option is on, Atlantis will always display full paths in different captions (window captions, menu item captions) no matter which directory is current.

When this option is off, Atlantis displays a short name only when this file is located in the current directory.

Transparent Message Windows

When this option is on, Atlantis uses the special colored-glass windows for displaying messages. The color of the transparent window tells about the type of message.

When this option is off, Atlantis displays messages in the traditional Windows fashion.

Beep When Popping Up Messages

This option controls how the message windows are popped up.

When this option is on, a message window of each particular type is popped up accompanied with the system-defined sound for this type of messages.

When this option is off, message windows are popped up silently.

Offer Document Properties on Saving

When this option is on, Atlantis asks a user to specify properties (Title, Subject, Keywords, Author Info, Comments) for the newly created document when this document is being saved for the first time.
You can also modify the properties of your document by choosing the File | Properties... command.

Remember Documents

This option contains the maximal number of files that Atlantis could store in the List of the recent documents.
This list is accessible through the File | Recent Documents command of the main menu.

Measurement System

Atlantis can use different measurement units for displaying information on the Ruler, on the Status Bar, and within different dialog windows.

Atlantis supports the following measurement units: inches, centimeters, picas, and points.

1 inch = 2.54 cm = 6 picas = 72 points.

See also...

View Settings
Edit Settings
Load / Save Settings
Hot Calculator Settings


 Hot Calculator Settings

Hot Calculator Settings

Enable Autodetection of Expressions

When you click the Calculate [image] button or press the Alt+= keys, Atlantis attempts to calculate the selected mathematical expression.

This option controls how this calculating is performed when there is no text selected.

When this option is on, and no text is selected, Atlantis will try to automatically detect the expression for calculating. The detected expression (if any) will be selected but no calculating will be performed.
After the expression is successfully detected, you will have to click the Calculate [image] button or press the Alt+= keys again to calculate the selected expression.

When this option is off, and no text is selected, Atlantis will display the message informing you that you have to select expression for calculating.

Beep After Successful Calculation

This option controls how the calculating is performed when you have no sound scheme installed in Atlantis. If you have a sound scheme installed, this option is ignored.

When this option is on, each successful calculation is accompanied with the system default sound.

When this option is off, calculation is performed silently.

Number of digits before Decimal Point and after Decimal Point

These options controls format of real (floating point) numbers produced by Atlantis.

By changing these options, you can specify the maximal number of digits that Atlantis can place before and after the decimal point of a real number.

If a real number is too large to be displayed using the specified number of digits before & after decimal point, Atlantis will use the so called scientific notation (or notation with the floating point) to display this number.

The example. Let's imagine that we have to calculate the following expression:

1234567*1234567

The resulting value is 1524155677489. Let's imagine that we have specified that the maximal number of digits before the decimal point is 7.

In the above example we have 13 digits before the imaginable decimal point. So Atlantis will represent this number in the notation with the floating point:

1.52416E+012

After Successful Calculation

These options determine what will be done after the expression is successfully calculated.

  • Put Result to Clipboard – when this option is checked, the resul will be place to the clipboard.
    No changes will be made to the document.
  • Insert Result After Calculated Expression – when this option is checked, Atlantis will place the resul preceded with the Equals sign (=) immediately after the expression being calculated.
    For example, if the source expression was
    1+2
    after calculation we will have the following:
    1+2=3
  • Replace Calculated Expression With Result – when this option is checked, Atlantis will replace the selected text with the result.
    For example, if the source expression was
    1+2
    after calculation we will have the following:
    3

See also...

Hot Calculator
General Settings
View Settings
Edit Settings
Load / Save Settings


 "Language" Window

"Language" Window

Choose a language from the list of system available languages with which you want to associate the selected text.

When spellchecking, Atlantis will use the language characteristic of the text to choose the most appropriate spellchecker for this text.

If you do not want Atlantis to check spelling of the selected text at all, choose the <none>.

See also...


 Load / Save Settings

Load / Save Settings

Confirmation After Document Format Autodetection

Each time you open documents through the File | Open... command, and the All Files (*.*) filter is selected in the Open Document window,

Atlantis attempts to detect the real format of the documents being opened.

When this option is on, Atlantis will ask your confirmation after each such autodetection so that you could check whether the detected format is correct.

If you are sure that Atlantis has detected document format incorrectly, you could explicitly specify another document format which should be used for this document.

Save Compact Font And Color Tables

When this option is on, Atlantis will save RTF documents with much more compact headers.

By turning this option on, you will have more compact RTF documents (size of documents might be decreased by 1-10 kilobytes).

When this option is on, the saving is slightly slower.

Save Supercompact RTF Documents

This option also decreases the size of RTF documents.

As a rule, RTF documents do not contain characters with codes higher than 127. But most word processors (for example, Microsoft products) support RTF documents that contain such extended characters.

When this option is on, Atlantis saves all extended characters in much more compact format. If your document contains many extended characters (for example, umlauts, characters with cutes etc), you can seriously decrease size of your document by turning this option on.

When this option is off, Atlantis saves all characters in traditional manner.

Also when this option is on, Atlantis saves pictures to RTF files in a very compact format.
Note that older word processors do not support such compact format for pictures. So they will not be able to open such compact documents properly.
The newer versions of popular word processors (for example, MS Word 97 and MS Word 2000) support this compact format.

Extract File Name From Document

When this option is on, Atlantis will use the first sentence of your newly created document as a suggested file name when you save this document.

When this option is off, the original file name will be used.

Save Cursor Position

When this option is on, Atlantis memorizes the current cursor position each time you save an RTF or COD document. Next time you open this document, Atlantis moves the cursor to the memorized position.

When this option is off, the cursor always appears at the beginning of the document after you have opened it.

Create Backup File

When this option is on, Atlantis will create backup copies for documents that you save.

For example, if you have opened the My Document.rtf file, and saved it, Atlantis will create the My Document.bak file with the previous contents of the My Document.rtf file so you could back to the previous version of your document in case you have made some undesired changes to it.

Use Document Folder

When this option is on, and you call the Open Document dialog window or the Save Document As... dialog window, Atlantis automatically opens your Document folder for browsing.

When this option is off, the current directory will be open for browsing.

See also...

General Settings
View Settings
Edit Settings
Hot Calculator Settings


 "Open Document As..." Window

"Open Document As..." Window

Choose a document format among the listed formats in which you want Atlantis to open your document.

Note. Before displaying this window, Atlantis tries to detect the real format of the document being opened (the detected format is initially highlighted). You may choose another format but remember that Atlantis could not open any document in any format (for example, it is impossible to open an RTF document as a MS Word document).

See also...


 "Page Numbering" Window

"Page Numbering" Window

Check the Page Number box to enable page numbering.

Choose the vertical position of page numbers in the Position list box:

  • Page Top – a number is displayed in the top margin of the page.
  • Page Bottom – a number is displayed in the bottom margin of the page.

Choose the horizontal position of page numbers in the Alignment list box:

  • Left – a number is displayed closer to the left page margin.
  • Centered – a number is centered between the left and right page margins.
  • Right – a number is displayed closer to the right page margin.
  • Inside – a number is displayed closer to the left page margin for odd pages, and closer to the right page margin for even pages.
  • Outside – a number is displayed closer to the right page margin for odd pages, and closer to the left page margin for even pages.

In the Format list box you can specify which notation should be used for displaying numbers: Arabic numbers, Roman letters, or Roman numbers.

Use the Page to Start Numbering From field to specify which page (a page with which ordinary number) should be actually marked as the first page of the document.
For example, very often page numbering is started from the page next to the title page of the document. If your document contains the title page, you could start numbering from the page next to this title page.
To do this, you simply have to specify that the page numbering should be started from the page number 2.

Use the Hide First XX Number(s) list box to specify which numbers should be visible.
For example, sometimes page numbers are not displayed on the pages occupied by the Table Of Contents.
If your document contains the Table Of Contents that occupies two pages, and you do not want to display the page numbers for these pages, simply specify that 2 first numbers should be invisible. In this case the first page on which a page number will be displayed, is the page with the ordinary number 3.

Note. The Page Numbering Settings are global for all documents of Atlantis. So any changes made in this window will affect all documents which are currently open or which you will open later.

See also...


 "Page Settings" Window

"Page Settings" Window

Atlantis displays a document on the screen in the page layout mode in the same manner as this document will be printed on paper.

All pages of the same document have the same settings.

  • Left, Top, Right, and Bottom margins – the reserved areas on each side of the page that are not occupied by text.
  • Page Size – the page dimensions (width and height) specified in certain measurement units.
  • Page Orientation – determines if the page contents is printed vertically or horizontally on a paper.

Tips:

You can quickly call the Page Settings window by double-clicking the margin on either side of the document ruler or the interpage space of a document window,
If you want to change the page settings that will be used for creating new documents, open the Default Document Template (as a rule, the Normal template), modify its page settings, and save this template.


 "Paragraph Format" Window

"Paragraph Format" Window

Each control of this window represents a separate characteristic of the paragraph format.

Click here to read about the components of the Paragraph Format.


 "Picture" Window

"Picture" Window

Use this window to change the scaling factor that will be used for displaying the selected picture.

You can change the scaling factor in two ways.

  1. Specify the explicit size for the selected picture expressed in the current measurement units (for example, in inches) as it should appear on paper.
    For example, if you want your picture to be 3'' on width and 2'' on height on paper, simply specify 3 and 2 in the Width field and Height field respectively.
  2. Specify the scaling factor (percentage) that should be applied to the original dimensions of your picture (the original size of your picture is always displayed at the bottom of this window).
    For example, if the original size of your picture is 3''x2'', you can enlarge it in two times simply by specifying 200 in both the On Width field and On Height fields.

Note. When you change the scaling factor for your picture, you actually do not change the contents of your picture. So you should not worry that your picture might loss some information after rescaling.
You will be always able to back your image to the original state with the original quality.

Tip:

You can visually scale pictures. For this, select the desired picture (simply click it), capture any corner of the picture with the mouse, and drag the mouse until the required scaling factor is achieved.

See also...


 "Scale Font" Window

"Scale Font" Window

Use the Scale By field to specify a scaling factor which should be used to enlarge or shrink font size of the selected text.

Values less than 100% shrink font size. Values greater than 100% enlarge font size.

Example. Let's imagine that the selected text is formatted with the 20pt font size. Also you have specified 150% for the Scale By field. After pressing the OK button, the selected text of the document will be formatted with the 30pt font size (30 is 150% of 20).

See also...


 "Font Format" Window

"Font Format" Window

Each control of this window represents a separate component of the font format.

Some controls might be in so called undefined state (or indeterminate state). A check box that is in the undefined state, is grayed. An edit box contains no text. None item of the list box is selected if this list box is in the undefined state.

The undefined state of a particular control means that the respective characteristic of the font format of the style is inherited from the font format of the base style.

The example. Let's imagine that our document contains two styles: the Normal and Heading 1.
The Heading 1 style is based on the Normal style.
The font format of the Normal style contains the Times New Roman for the Font Face attribute. If the Font Face attribute of the font format of the Heading 1 style is in the undefined state, the Heading 1 inherits the Font Face from the base style – Normal style. Consequently any paragraph associated with the Heading 1 style, will be displayed using the Times New Roman font face.
Any changes to the Font Face attribute of the Normal style are immediately applied to the Heading 1 style.
For example, we can change the Font Face of the Normal style to Arial, and all paragraphs associated with the Heading 1 style, will be displayed with the Arial too because the Heading 1 style inherits the Font Face attribute from the Normal style.

To specify the undefined state for a checkbox, simply do clicking it until it becomes grayed.

To specify the undefined state for an edit box or for a list box, click it with the right mouse button. The popup menu appears.

Choose the Set Undefined State command from this menu.

Click here to read about the components of the Font Format.

Click the Copy button to copy the font format being edited to the Font Format Clipboard.

Click the Paste button to assign the information from the Font Format Clipboard to the font format being edited.

See also...


 "Paragraph Format" Window

"Paragraph Format" Window

Each control of this window represents a separate characteristic of the paragraph format.

Some controls might be in so called undefined state (or indeterminate state). A check box that is in the undefined state, is grayed. An edit box contains no text. None item of the list box is selected if this list box is in the undefined state.

The undefined state of a particular control means that the respective characteristic of the paragraph format of the style is inherited from the paragraph format of the base style.

The example. Let's imagine that our document contains two styles: the Normal and Heading 1.
The Heading 1 style is based on the Normal style.
The paragraph format of the Normal style sets the Alignment to justified. If the Alignment attribute of the paragraph format of the Heading 1 style is in the undefined state, the Heading 1 inherits the Alignment from the base style – Normal style. Consequently any paragraph associated with the Heading 1 style, will have the justified alignment.
Any changes to the Alignment attribute of the Normal style are immediately applied to the Heading 1 style.
For example, we can change the Alignment of the Normal style to centered, and all paragraphs associated with the Heading 1 style, will be centered too because the Heading 1 style inherits the Alignment attribute from the Normal style.

To specify the undefined state for a checkbox, simply do clicking it until it becomes grayed.

To specify the undefined state for an edit box or for a list box, click it with the right mouse button. The popup menu appears.

Choose the Set Undefined State command from this menu.

Click here to read about the components of the Paragraph Format.

See also...


 "Tabs" Window

"Tabs" Window

This window allows to modify tab settings for the selected paragraphs, or for the paragraph style.

All custom tab positions are listed in the Tab Positions box.
The rest controls of the window display the properties of the tab position highlighted in the Tab Positions box.

To edit the numeric value of the desired tab position, simply double-click it in the Tab Positions box, or click the Modify button.

Click the Add... button to add a new tab position to the list of positions.

Click the Delete button to completely remove the highlighted position in the Tab Positions box.

See also...


 "Language" Window ("Change Font Character Set" Operation)

"Change Font Character Set" Window

Choose a language the default character set of which should be used for displaying the selected text.

The extended characters (the characters with codes greater than 127) have different images (glyphs) in different character sets.
For example, the character with decimal code 200 looks absolutely differently in the following character sets:

Western European Character Set | È
Central European Character Set | Č
Cyrillic Character Set | И

You should change the font character set for text only when you are sure that Atlantis uses wrong character set for the selected text.

Note. Some fonts do not contain images for all characters sets.


 View Settings

View Settings

Picture Drawing

These options control how pictures are displayed in a document window.

  • Normal – when this option is checked, pictures are displayed in the same time when the rest contents of a paragraph line.
    The contents of a document window might be repainted enough slowly if it contains large pictures).
  • On Idle – when this option is checked, pictures are displayed with some delay after you have finished performing any operations on your document (for example, typing text, scrolling a document window)
    A document window might display its contents more quickly than with the Normal Picture Drawing but some flickering is possible.
  • Use Placeholders – when this option is checked, only placeholders are displayed instead of pictures.
    Enough fast redrawing without flickering.

Images in Left Margin

These options controls the appearance of the special images (signs) which might be displayed on the left margin of the page, opposite first lines of paragraphs.

These images are displayed if the Special Symbols mode is on, and if a particular paragraph has one of the following attributes set within its paragraph format:
Keep With Next Paragraph, Keep Intact, and Page Break Before.

  • Rectangles – when this option is checked, these images look like small filled rectangles.

  • Bitmaps – when this option is checked, different images might be displayed.

    – if the Keep With Next Paragraph attribute is set,
    – if the Keep Intact attribute is set,
    – if the Page Break Before attribute is set.

"Document Window" Options

These options determine whether each particular component of a document window (Ruler, Status Bar, Document Bar, scroll bars) is visible.

See also...

General Settings
Edit Settings
Load / Save Settings
Hot Calculator Settings


 Colors

Colors


 Font Format

Font Format

The appearance of each particular character of a document is determined by its Font Format.

A Font Format includes the following characteristics.

Font Name

The Font Name characteristic (or the typeface) refers to specific characteristics of characters and symbols in the font, such as the width of the thick and thin strokes that compose the characters and the presence or absence of serifs.
All characters within the same font (a font with the same name) share a common design.

The following are the examples of different font faces:

You can quickly change the Font Name for the selected text through the Font combo box of the Atlantis toolbar.

Size

The Font Size determines the height of characters in units called points.
A point is 1/72 of an inch.

You can quickly change the Font Size for the selected text through the Font Size combo box of the Atlantis toolbar.

Bold

If this attribute is set, characters are displayed more thick than usually.

You can quickly turn on or off the Bold for the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+B keys.

Italic

If this attribute is set, characters are displayed inclined to the right.

You can quickly turn on or off the Italic for the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+I keys.

Underline

If this attribute is set, the horizontal line is displayed under the text.

You can quickly turn on or off the Underline for the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+U keys.

Font Color

The Font Color is used to draw the face of each character.

In addition to the usual font colors (red, green, blue, navy etc) you can format your text with a special color – Auto.
The real value with which the Auto color is substituted, depends on both the Color Settings of Windows and the Color Settings of Atlantis.

The text that should be black on paper, should be formatted with the Auto color.

You can quickly change the Font Color for the selected text through the Font Color combo box of the Atlantis toolbar.

Superscript

If this attribute is set, characters are displayed as an upper index of mathematical formulas.

You can quickly turn on or off the Superscript for the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+Shift+Plus keys.

Subscript

If this attribute is set, characters are displayed as a lower index of mathematical or chemical formulas.

You can quickly turn on or off the Subscript for the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+Equals keys.

Strikeout

If this attribute is set, the horizontal line crosses characters.

You can quickly turn on or off the Strikeout for the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+K,S keys.

Spacing

As a rule, text is displayed with normal intercharacter spacing. But Atlantis can also display text compressed (with decreased intercharacter spacing) or expanded (with increased intercharacter spacing).

You can quickly "compress" the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+Alt+Left arrow keys.

To "expand" the selected text, click the [image] toolbar button, or press the Ctrl+Alt+Right arrow keys.

Location

Atlantis can display text with vertical offset.

You can quickly "offset up" the selected text either by clicking the [image] toolbar button, or by pressing the Ctrl+Alt+Up arrow keys.

To "offset down" the selected text, click the [image] toolbar button, or press the Ctrl+Alt+Down arrow keys.

Kerning

Some quality fonts contain information about pairs of characters that could be placed more tightly or more rarefiedly within a paragraph line to produce more even and natural appearance of text.

A minimal font size of characters to apply kerning to is specified.

As a rule the kerning is used for larger font sizes.

The kerning for the selected text (as well as all the above characteristics that make up a font format) can be adjusted through the Format | Font... command.


 Format Brush

Format Brush


 Hot Keys

Hot Keys

General Commands
Edit Commands
View Commands
Font Formatting Commands
Paragraph Formatting Commands
Commands For the Cursor Movement


 Atlantis on a Floppy

Atlantis on a Floppy


 Paragraph Format

Paragraph Format

The appearance of each particular paragraph is controlled by its Paragraph Format.

The Paragraph Format includes the following characteristics.

Alignment

This characteristic controls how the text is positioned within a paragraph line (the left and right sides of the paragraph (the paragraph edges) are marked on the following images with the vertical red lines).

  • Left – the text is aligned to the left side of the paragraph.

  • Centered – the text is centered horizontally between both sides of the paragraph.

  • Right – the text is aligned to the right side of the paragraph.

  • Justified – the text of all paragraph lines (except the last line of the paragraph) is expanded to fill the whole width of the paragraph.
    The last line of the paragraph is aligned to the left.

You can use the following hot keys and toolbar buttons to apply different alignments to the selected paragraphs.

Alignment | Hot Key | Toolbar Button
Left | Ctrl+L |
Right | Ctrl+R |
Centered | Ctrl+E |
Justified | Ctrl+J |

Left Indent

Left Indent determines the distance between the left page margin and the left edge of the paragraph.

You can quickly increase the Left Indent for the selected paragraphs (to indent paragraph lines to the left) either by clicking the [image] toolbar button, or by pressing the Ctrl+M keys.

The reverse operation – decrease left indent – can be performed either by clicking the [image] toolbar button, or by pressing the Ctrl+Shift+M keys.

You can also change the Left Indent for the selected paragraphs using the Ruler.

Right Indent

Right Indent determines the distance between the right page margin and the right edge of the paragraph.

You can change the Right Indent for the selected paragraphs using the Ruler.

First Line

First Line determines position of the left side of the first paragraph line in comparing to the rest lines of the same paragraph.

  • None – the first line is indented by the same value as the rest lines of this paragraph (the left indent area of the first line is displayed with red color on the following picture, the Left Indent area of the whole paragraph – with aqua color).

  • Indent – the first line is indented by the specified value in comparing to the left side of the rest lines of the paragraph (the First Line Indent is displayed with red color on the following picture, the Left Indent area of the whole paragraph – with aqua color).

  • Outdent – the first line is indented by the value of the Left Indent of the paragraph; the rest lines are indented by the specified value in comparing to the left side of the first line of the paragraph (the First Line Outdent is displayed with red color on the following picture, the Left Indent area of the whole paragraph – with aqua color).

You can quickly outdent the first lines of the selected paragraphs (to shift the first lines to the left in comparing to rest lines) either by clicking the [image] toolbar button, or by pressing the Ctrl+T keys.

The reverse operation – decrease first line indent (shift the first lines to the right in comparing to rest lines) – can be performed either by clicking the [image] toolbar button, or by pressing the Ctrl+Shift+T keys.

You can also change the First Line for the selected paragraphs using the Ruler.

Spacing Before & After

The Spacing Before is the additional space that is added above the first line of the paragraph.

The Spacing After is the additional space that is added under the last line of the paragraph.

On the following picture the Spacing Before area is displayed with yellow color, the Spacing After area – with aqua color.

You can quickly add or remove additional space(s) before a selection of paragraphs by clicking the [image] toolbar button, or by pressing the Ctrl+0 keys.

To add or remove additional space(s) after a selection of paragraphs, click the [image] toolbar button, or press the Ctrl+Shift+0 keys.

To add or remove additional space(s) both before and after a selection of paragraphs, click the [image] toolbar button, or press the Shift+Alt+0 keys.

Line Spacing

Line Spacing determines height of each line of the paragraph.

  • Single – the height of each line is determined by the tallest character in the line.
  • 1.5 lines – the height of the line is the height of this line with the Single line spacing multiplied by 1.5.
  • Double – the height of the line is the height of this line with the Single line spacing multiplied by 2.
  • At least – the height of the line may not be less than the specified value; if the height of the line with the Single line spacing is greater than the specified value, the height of the line is the same as the height of the line with the Single line spacing; otherwise the height of the line is the specified value.
  • Exactly – the height of the line is always the specified value.
  • Multiple – the height of the line is the height of this line with the Single line spacing multiplied by the specified value.

You can use the following hot keys and toolbar buttons to apply different line spacings to the selected paragraphs.

Line Spacing | Hot Key | Toolbar Button
Single | Ctrl+1 |
1.5 lines | Ctrl+5 |
Double | Ctrl+2 |

Keep With Next Paragraph

If this attribute is set, Atlantis attempts to place this paragraph and the following paragraph onto the same page.

If the Special Symbols mode is on, and if a particular paragraph has this attribute set, the [image] image might be displayed in the left margin opposite the first line of this paragraph.

Keep Intact

If this attribute is set, Atlantis attempts to place all the lines of this paragraph on the same page (Atlantis attempts to not break this paragraph, keep it intact).

If the Special Symbols mode is on, and if a particular paragraph has this attribute turned on, the [image] image might be displayed in the left margin opposite the first line of this paragraph.

Page Break Before

If this attribute is set, Atlantis places the paragraph at the top of a new page.

If the Special Symbols mode is on, and a particular paragraph has this attribute set, the [image] image might be displayed in the left margin opposite the first line of this paragraph.

Widow / Orphan Control

If this attribute is set, Atlantis attempts to keep a single line at the beginning or end of the paragraph from being left on a page by itself.


 Personal Settings

Personal Settings


 Preview Mode

Preview Mode


 Safeguarding Documents

Safeguarding Documents


 Securing Documents

Securing Documents


 Sounds

Sounds


 Spellchecking

Spellchecking


 Defining Search Terms

Defining Search Terms

The AND, OR, NOT, and NEAR operators enable you to precisely define your search by creating a relationship between search terms. The following table shows how you can use each of these operators. If no operator is specified, AND is used. For example, the query "spacing border printing" is equivalent to "spacing AND border AND printing."

Search for | Example | Results
Both terms in the same topic. | dib AND palette | Topics containing both the words "dib" and "palette."
Either term in a topic. | raster OR vector | Topics containing either the word "raster" or the word "vector" or both.
The first term without the second term. | ole NOT dde | Topics containing the word "OLE," but not the word "DDE."
Both terms in the same topic, close together. | user NEAR kernel | Topics containing the word "user" within eight words of the word "kernel."


 How to Customize the Help Viewer

How to Customize the Help Viewer

There are a few ways to easily change the size and position of the Help Viewer and the panes in the viewer:

  • To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, drag the divider right or left.
  • To proportionately shrink or enlarge the whole Help Viewer, point to any corner of the Help Viewer. When the pointer changes to a double-headed arrow, drag the corner.
  • To change the height or width of the Help Viewer, point to the top, bottom, left, or right edge of the Help Viewer. When the pointer changes to a double-headed arrow, drag the edge.
  • To reposition the Help Viewer on your screen, click the title bar and drag the Viewer to a new position.


 How to Find a Help Topic

How to Find a Help Topic

In the Navigation pane, click one of the following tabs:

  • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of important topics.
  • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry.
  • To locate every occurrence of a word or phrase that may be contained in a help file, click the Search tab, and then type the word.


 How to Find Information With Advanced Full-text Search

How to Find Information With Advanced Full-text Search

  1. Click the Search tab, and then type the word or phrase you want to find.
  2. Click [image] to add boolean operators to your search.
  3. Click List Topics, select the topic you want, and then click Display.
  4. To sort the topic list, click the Title, Location, or Rank column heading.

You can precisely define a search by using wildcard expressions and boolean operators.


 Main Window of the Help Viewer

Main Window of the Help Viewer

By default the Help file appears in a window with three panes:

  • On the left side of the window is the Navigation pane. It contains three navigational tabs: the Contents tab, the Index tab, and the Search tab.
  • On the right side of the window is the Topic pane. It displays the selected help topic, or the default help topic.
  • The third pane is the toolbar, which is located below the help window title bar.

To hide or show the Navigation pane click Hide or Show on the toolbar, to close or display the Navigation pane, which contains the Contents, Index, and Search tabs.


 Help Viewer Toolbar Buttons

Help Viewer Toolbar Buttons

The following list describes the buttons available on the toolbar of the Atlantis Help window:

Hide | Closes the Navigation pane.
Show | Opens the Navigation pane.
Locate | Shows where the current topic is located in the table of contents. If the current topic is not listed in the table of contents, this command will not work.
Back | Jumps to the previous topic.
Forward | Jumps to the next topic in a previously viewed sequence.
Home | Jumps to the Rising Sun Solutions, Inc. Home Site.
Print | If you are on the Contents tab, provides options to print pages, headings, and subtopics, or the entire table of contents. If you are on the Index or Search tab, it opens the Print dialog box to print the current topic.
Options | Opens a menu list that contains Home, Show, Back, Stop, Refresh, Print, Search Highlight On/Off, and Internet Options commands. The Internet Options command opens the Internet Explorer Internet Options dialog box allowing quick access to accessibility and other features.


 Searching for Words or Phrases

Searching for Words or Phrases

You can search for words or phrases and use wildcard expressions. Wildcard expressions allow you to search for one or more characters using a question mark or asterisk. The table below describes the results of these different kinds of searches.

Search for

Example

Results

A single word

select

Topics that contain the word "select." (You will also find its grammatical variations, such as "selector" and "selection.")

A phrase

"new operator"
or
new operator

Topics that contain the literal phrase "new operator" and all its grammatical variations.

Without the quotation marks, the query is equivalent to specifying "new AND operator," which will find topics containing both of the individual words, instead of the phrase.

Wildcard expressions

esc*
or
80?86

Topics that contain the terms "ESC," "escape," "escalation," and so on. The asterisk cannot be the only character in the term.

Topics that contain the terms "80186," "80286," "80386," and so on. The question mark cannot be the only character in the term.